game-data-packager (79ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable the 'version' test which just breaks on any Ubuntu delta

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 05 Aug 2024 09:17:08 +0200

game-data-packager (79) unstable; urgency=medium

  * New games:
    - Heavy Gear II (i386 binary-only) [Sébastien Noel]
    - Homeworld [Sébastien Noel]
    - SimCity 3000 (i386 binary-only) [Sébastien Noel]
  * New versions:
    - Heroes of Might and Magic 3: Handle latest GOG releases
      [Sébastien Noel]
  * Bug fixes:
    - Commander Keen series: Include original executables [Sébastien Noel]
    - Morrowind: Install Morrowind.esm correctly [Plasma (David Paul)]
      (Closes: #1073972)
    - Return to Castle Wolfenstein: Update to iortcw 1.51c, cleaning up
      dead download links in the process [Dmitry Baryshkov]
    - Unreal: Clean up dead download links [smcv]
    - Unreal: Account for variation between GOG and Steam [smcv]
  * Debian packaging:
    - Remove /etc/game-data-packager/oldunreal-mirrors on upgrade,
      no longer useful [smcv]
  * Internal changes:
    - Fix various mypy warnings [smcv]

 -- Simon McVittie <smcv@debian.org>  Sun, 04 Aug 2024 15:48:42 +0100

game-data-packager (78ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Disable the 'version' test which just breaks on any Ubuntu delta

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 10 May 2024 16:35:14 +0200

game-data-packager (78) unstable; urgency=medium

  * New games:
    - Rune (i386 binary-only) [Sébastien Noel]
    - Soldier of Fortune (i386 binary-only) [Sébastien Noel]
  * New versions:
    - Heroes of Might and Magic 2: Handle FLAC music archive provided
      by GOG, fix incorrect video filenames in Windows version, and
      ignore unneeded OGG music tracks [Anatoliy Gunya]
  * Bug fixes:
    - Heretic, Hexen: Improve extraction of icons [fabian]
    - On .deb-based systems, allow libsmpeg-0.4.so.0 to be provided by
      either libsmpeg0t64 (Debian 13, Ubuntu 24.04) or libsmpeg0
      (Debian 12, Ubuntu 22.04) [smcv]
    - Steam integration: Find Steam username for steamcmd in the
      location used by steam-installer [adetiste]
    - Fix spelling [adetiste]
  * Debian packaging:
    - Switch quake4 dependency from libasound2 to libasound2t64
      (Closes: #1070016) [smcv]

 -- Simon McVittie <smcv@debian.org>  Fri, 03 May 2024 10:29:21 +0100

game-data-packager (77ubuntu1) noble; urgency=medium

  * Disable the 'version' test which just breaks on any Ubuntu delta
    (or no-change rebuild)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Mar 2024 22:26:28 +0000

game-data-packager (77) unstable; urgency=medium

  * New features:
    - extract the bundled icon from GOG games [Sébastien Noel]
      (Closes: #1051856)
    - optionally download an icon from the scummvm-icons repository
      for ScummVM games [Sébastien Noel]
    - use configurable mirrors for old Loki games [Sébastien Noel]
  * New games:
    - Alex4: this game was first thought to be GPL licensed and wholly
      packaged as such in Debian; but in fact it's only the engine part,
      and the data is merely "freeware" (see #1035043) [adetiste]
    - Civilization: Call to Power [Sébastien Noel]
    - Detective Gallo [Dennis Menschel]
    - Descent 3 [Sébastien Noel]
    - Flashback [adetiste]
    - Heretic 2 [Sébastien Noel]
    - Kohan: Immortal Sovereigns [Sébastien Noel]
    - Pushover [adetiste]
    - Railroad Tycoon 2 [Sébastien Noel]
    - Roller Coaster Tycoon 2 (and 1) [Mathias Gibbens]
    - Sid Meier's Alpha Centauri [Sébastien Noel]
    - Tomb Raider 1 [adetiste]
    - Unreal Tournament 2004 [Sébastien Noel]
  * New versions:
    - Dark Forces: add French version [Sébastien Noel]
    - Doom3: add 'Classic Doom' & 'The Lost Mission' expansions
      [Sébastien Noel]
    - Freespace 2: add support for the "fsport" mod, notably the ability
      to play Freespace 1 missions [Sébastien Noel]
    - Indiana Jones and the Fate of Atlantis,
      Indiana Jones and the Last Crusade:
      add support for latest GOG releases [Mathias Gibbens]
    - Jazz Jackrabbit: add support for new GOG.com archive [fabian]
      (Closes: #1055088)
    - Loom: add support for CD version [Sébastien Noel]
    - Quake2: add support for "Zaero" mission pack (Closes: #800503)
      [Sébastien Noel]
    - Return To Zork: add support for CD version [Sébastien Noel]
    - Unreal Tournament (1999): update to version 469d [Sébastien Noel]
    - The Secret of Monkey Island, Indiana Jones and the Last Crusade:
      add English EGA floppy version [Mathias Gibbens]
  * Bug fixes:
    - fix TypeError when gdp prints warnings [Anatoliy Gunya]
    - fix html docs file names in quake2-groundzero-data [Anatoliy Gunya]
    - fix Readme.html path in Quake 3 documentation [Anatoliy Gunya]
    - fix broken symlinks in quake3-team-arena-data [Anatoliy Gunya]
    - ScummVM games: fix many game IDs [Sébastien Noel, adetiste]
      (Closes: #1059449)
    - ScummVM games: remove versioned dependencies on ancient ScummVM 1.x
      [adetiste]
    - fix unbuildable "Little Big Adventure" package [Sébastien Noel]
    - ScummVM games and Doom 3: move desktop files for mods from the
      plugin to gdp-runtime, so that bugs in the .desktop files can
      be fixed without rebuilding the non-distributable packages
      [Sébastien Noel]
    - Heretic, Hexen, Strife: fix invalid Breaks in packages generated with
      v76 [Sébastien Noel]
    - Hexen: extract a better icon [smcv]
    - correct data_type for various packages that contain
      executables [Sébastien Noel]
  * Debian packaging:
    - add a Doom mini-policy [Sébastien Noel]
    - transition from p7zip-full to 7zip (Closes: #1063580) [adetiste]
    - Replace Suggests: steam with steam-installer|steam-launcher [smcv]
  * Internal changes:
    - d/rules: trim using new execute_after_* syntax [adetiste]
    - add more type annotations to Python code [adetiste]
    - add an optional minimal pre-commit hook [adetiste]
    - gdp_launcher_base: use os.EX_* instead of magic numbers [adetiste]
    - doom_common: remove prboom-plus on Debian and add crispy-doom
      as alternative engine on some expansions. [Sébastien Noel]
    - add support for symlinks with offset to CD ripping code
      [Sébastien Noel]
    - increase a test timeout [adetiste]
    - gdp.version: Get the version number from meson.build if possible [smcv]
    - tests: Assert version is consistent in meson.build and debian/ [smcv]

 -- Simon McVittie <smcv@debian.org>  Sat, 24 Feb 2024 15:34:18 +0000

game-data-packager (76) unstable; urgency=medium

  * New games:
    - Aliens Versus Predator [Sébastien Noel]
    - Caesar III (Closes: #806989) [Vincent Pelletier, Sébastien Noel]
    - Ion Fury (Closes: #1040059) [Konstantin Korshunov]
    - Redneck Rampage (Closes: #787236) [adetiste]
    - Shadow Warrior [Sébastien Noel]
    - Star Wars: Dark Forces [Sébastien Noel]
  * New versions:
    - Atlantis: add an alternative French version [Sébastien Noel]
    - Duke Nukem 1: add registered episodes 2 and 3 [adetiste]
    - Freespace 2: Add support for latest GOG release, and also allow build
      from the old 3 CD set [Sébastien Noel]
    - Sam and Max: Add de, es, fr, it translations [Vincent Pelletier]
    - Shivah: support both "Classic" and "Kosher" editions
      [Vincent Pelletier]
    - A Golden Wake, Blackwell series, Broken Sword 2, Gemini Rue,
      Indiana Jones and the Fate of Atlantis,
      Indiana Jones and the Last Crusade, Myst, Myst 3, Primordia,
      Resonance, Riven, Sam and Max, The Longest Journey,
      Wolfenstein 3D, Wolfenstein: Enemy Territory:
      Add support for latest GOG releases
      (Closes: #1045356) [Vincent Pelletier]
  * Bug fixes:
    - Broken Sword 1: Fix compatibility with scummvm >= 2.7.0
      [Vincent Pelletier]
    - Broken Sword 1: Do not create launchers for music packages
      [Vincent Pelletier]
    - Compet-N Doom: adjust for new DSDA download locations [fabian]
    - Compet-N Doom: Do not prepend "Doom: Compet-N" in desktop files
      for better usability (Closes: #1049997) [adetiste]
    - Doom-based games: fix compatibility with python3-pil 10.0
      [Sébastien Noel]
    - check_gog: Skip games with no installer, without error
      [Vincent Pelletier]
    - tests: Extend timeout for download_shareware test [smcv]
  * Internal changes:
    - The Dig: Tag as being available from GOG [Vincent Pelletier]
    - tools/stats.py: Add support for "section: doc" packages
      [Vincent Pelletier]
    - make_template: Always use ffmpeg, removing avconv alternative
      [adetiste]
    - Doom 2 Master Levels: replace deprecated Gtk.TreeView by Gtk.ColumnView
      (Closes: #1043600), silence a warning with Gtk 4.12 [Sébastien Noel]
    - Add type annotations to Python code [adetiste, smcv]
    - Reformat the code in PEP8 style [smcv]
    - build: Remove compatibility with old versions of meson [smcv]
    - tests: Add a lint check that runs pycodestyle [smcv]
    - debian: Don't build-depend on pyflakes [smcv]

 -- Simon McVittie <smcv@debian.org>  Tue, 12 Sep 2023 15:11:55 +0100

game-data-packager (75) unstable; urgency=medium

  * Bug fixes:
    - etqw: Rename etqw-dedicated launcher to avoid colliding with etqw-bin
      (Closes: #1039013) [smcv]
    - etqw, quake4: Add Recommends on the necessary packages for audio via
      Pulseaudio or Pipewire (mitigates: #1039012) [smcv]
  * Internal changes:
    - Set up infrastructure to use game-data-packager's launcher for
      Return to Castle Wolfenstein, Jedi Knight II and Jedi Academy.
      Additional changes will be needed in iortcw and openjk to put this
      into effect.

 -- Simon McVittie <smcv@debian.org>  Wed, 28 Jun 2023 11:45:35 +0100

game-data-packager (74) unstable; urgency=medium

  * New games:
    - Serious Sam 1 and 2 (Closes: #817941) [Sébastien Noel]
  * New versions:
    - Loom: add French version [Sébastien Noel]
    - Mortville Manor: add German version "Der Landsitz von Mortville"
      [adetiste]
  * Bug fixes:
    - On Debian, use dsda-doom in preference to prboom-plus [smcv]
    - Fix the invalid AppArmor profile for Quake 4, avoiding a kernel
      bug on Linux 6.3 and warnings on older kernels (see #1038945) [smcv]
  * Internal changes:
    - Silence some Python deprecation and resource warnings [adetiste]

 -- Simon McVittie <smcv@debian.org>  Fri, 23 Jun 2023 16:53:14 +0100

game-data-packager (73) unstable; urgency=medium

  * New features:
    - Add a --force-install option similar to apt-get --assume-yes.
      This is mainly for regression testing, but could potentially be
      useful for non-interactive use. [smcv]
    - Move --demo to be a top-level option so it can be used with any
      game. For games with no demo or shareware version, it is now allowed
      but has no effect. [smcv]
  * Bug fixes:
    - Doom 1: Update downloadable archive for Sigil [smcv]
    - Doom 1: Avoid false-positive warnings about unexpected versions
      of files for Sigil [smcv]
    - Return to Castle Wolfenstein: allow autoexec.cfg to be empty
      (as it is in the Mac CD version) or missing.
      [Adam Robinson, smcv]
    - Fix a crash when an optional package is activated by a file with
      alternatives, for which the Sigil expansion for Doom 1 is probably
      the only example (Closes: #1031651) [smcv]
    - If no specific installation method is set, run apt to implement
      the --install option (Closes: #1031621) [adetiste]
    - CLI: Make --no-search work as intended [smcv]
    - Correct some attribution in the v72 changelog [adetiste]
    - launcher: Exit if unable to prompt whether to run binary-only
      game [smcv]
    - launcher: Show a hint if --debugger=gdb is used.
      That won't work, because it doesn't pass argv through to the actual
      game, and --debugger="gdb --args" is the correct spelling.
      (Closes: #977138) [smcv]
  * Internal changes:
    - Report test failures by exit status as well as TAP [smcv]
  * Debian packaging:
    - Fix name of build-needed restriction for d/tests/integration [smcv]
    - Add a test to verify that we can install packages [smcv]
  * RPM packaging:
    - Merge changes from RPMFusion [adetiste]

 -- Simon McVittie <smcv@debian.org>  Tue, 21 Feb 2023 10:54:57 +0000

game-data-packager (72) unstable; urgency=medium

  * New games:
    - Quadrilateral Cowboy, with 'Humble Indie Bundle' and
      'Steam' distribution variants [James Addison]
      (This was intended to be included in v71, but did not work as
      intended in that version.)
  * New versions:
    - System Shock: Add support for packaging from the version bundled
      with System Shock: Enhanced Edition on Steam. This requires the
      xorriso package. [Adam Robinson]
  * New features:
    - Add '--version' command line switch [adetiste]
  * Bug fixes:
    - doom: Add support for new DSDA and WOOF Doom engines [adetiste]
    - etqw: Download from Splash Damage's CDN instead of Gentoo mirrors
      (Closes: #1030172) [smcv]
    - rtcw: Drop download URLs for files that are no longer mirrored [smcv]
    - Clean up various other mirror lists [smcv]
  * Debian packaging:
    - Use dh_cruft to clean up leftover files [adetiste]
  * Internal changes:
    - Drop backwards-compatibility with apt < 1.1 [adetiste]
    - Stop depending on distutils, which is deprecated since Python 3.10
      and will be removed from Python 3.12 [smcv]
    - tests: Assert that all games in data/*.yaml were included in the
      build [smcv]
    - tests: Silence some warnings with recent Meson versions [smcv]

 -- Simon McVittie <smcv@debian.org>  Thu, 09 Feb 2023 21:36:36 +0000

game-data-packager (71) unstable; urgency=medium

  * New versions:
    - Baldur's Gate 1: French language [Sébastien Noel]
    - Baldur's Gate 2: French language [Sébastien Noel]
    - Blade Runner: French language [Sébastien Noel]
    - Planescape Torment: French language [Sébastien Noel]
  * Bug fixes:
    - Baldur's Gate 2: Make baldur.ini optional [Sébastien Noel]
    - Broken Sword 1, Broken Sword 2, Longest Journey, Myst:
      Fix upgrade path when repacking an old installed package from
      before we had multilingual support [smcv]
    - Quake 2: Fix expansion version numbering [Sébastien Noel]
  * Internal changes:
    - Baldur's Gate 1: Lower-case filenames of non-English documentation
      [adetiste]

 -- Simon McVittie <smcv@debian.org>  Wed, 25 Jan 2023 12:34:37 +0000

game-data-packager (70) unstable; urgency=medium

  * New games:
    - Duke Nukem 1 [adetiste]
    - Fascination [adetiste]
    - Heroes of Might and Magic II [Anatoliy Gunya]
  * New versions:
    - Commander Keen series: GOG version [Adam Robinson]
    - Full Throttle: French version [Olivier Schwander]
    - Master of Orion: Steam URL [Adam Robinson]
    - Phantasmagoria 2: French version [Sébastien Noel]
    - Quake 2: Update quake2-reckoning-data (xatrix) to 2.11 and
      quake2-groundzero-data (rogue) to 2.10, corresponding to
      Yamagi Quake II version 8.20 [smcv]
    - Ultima IV: GOG URL [Adam Robinson]
    - Unreal Tournament (1999): update to version 469c
      [Sébastien Noel, smcv]
    - Unreal Tournament (1999): Remove workaround for CVE-2004-0608
      in new installations (it was fixed in v469) [smcv]
  * Bug fixes:
    - Doom 2 Master Levels: Fix TryExec location [Sébastien Noel]
    - Enemy Territory: Quake Wars: Fix installation path for Korean
      language [Anatoliy Gunya]
    - Heroes of Might and Magic 3: Mark core.zip as optional [adetiste]
    - Quake 4: Add missing i386 library dependencies [smcv]
    - Spear of Destiny: Use smcv's mirror [adetiste]
    - Unreal: Fix German, French, Italian and Spanish localization packages
      [Anatoliy Gunya]
    - all id Software games: Drop ftp mirrors that no longer work
      (Closes: #968361) [Anatoliy Gunya]
    - all Steam games: Find more Steam locations [adetiste]
    - Output Lintian overrides in a canonicalized order [smcv]
    - Fix \u00a9 appearing unescaped in copyright files [smcv]
    - build: Increase timeout for pyflakes [adetiste]
  * Internal changes:
    - Documentation: Recommend using 'meson setup' subcommand [James Addison]
    - Doom series: Fix ability to find icons when run uninstalled [smcv]
    - Full Throttle: Change installation path for English version to allow
      for other languages [Olivier Schwander]
    - Migrate GUI launchers from GTK 3 to GTK 4 [Sébastien Noel]
    - Better support for games with proprietary binaries available for
      more than one architecture [smcv]
    - Remove support for popcon.ubuntu.com which is no longer operational
      [adetiste]
  * Debian packaging:
    - Suggest pkexec, to install the generated package [adetiste]
    - Don't use dh_missing --fail-missing, it is now the default [adetiste]
    - Silence some Lintian false-positives [adetiste, smcv]
    - Clean up obsolete alternative dependencies [adetiste]
    - Remove obsolete maintscript entries [adetiste, smcv]
    - Build-Depend on dbus-daemon instead of dbus [smcv]
    - Standards-Version: 4.6.2 (no changes required) [smcv]
    - Remove version constraints unnecessary since Debian 10 [smcv]
    - *-server: Drop unnecessary lsb-base dependency.
      In Debian 12 this is provided by the Essential sysvinit-utils package.
      In older releases, it was unnecessary when booting with systemd, and
      pulled in as a dependency by sysvinit-based init systems that used our
      LSB init script. [smcv]
  * RPM packaging:
    - Merge changes from RPMFusion [adetiste]

 -- Simon McVittie <smcv@debian.org>  Mon, 09 Jan 2023 20:43:11 +0000

game-data-packager (69) unstable; urgency=medium

  * New games:
    - King's Quest 1 VGA [Adam Robinson]
    - Space Quest 1 VGA [Adam Robinson]
    - Gabriel Knight 1 & 2 [Adam Robinson]
    - Phantasmagoria 1 & 2 [Adam Robinson]
    - Ultima IV [adetiste]
    - The Griffon Legend (freeware) [adetiste]
    - Operation Stealth [adetiste]
    - Master Of Orion [adetiste]
    - Gemini Rue [Dennis Menschel]
    - The Blackwell Legacy [Dennis Menschel]
    - Blackwell Unbound [Dennis Menschel]
    - The Blackwell Convergence [Dennis Menschel]
    - The Blackwell Deception [Dennis Menschel]
    - The Blackwell Epiphany [Dennis Menschel]
    - Resonance [Dennis Menschel]
    - Primordia [Dennis Menschel]
    - Shardlight [Dennis Menschel]
    - Technobabylon [Dennis Menschel]
    - The Shivah [Dennis Menschel]
    - A Golden Wake [Dennis Menschel]
    - Kathy Rain [Dennis Menschel]
    - Catacomb: Abyss [adetiste]
    - Little Big Adventure [Dennis Menschel]
    - Torin's Passage [Dennis Menschel]
    - Lighthouse: The Dark Being:
      - German version [Dennis Menschel]
      - French version [adetiste]
    - The Journeyman Project: Pegasus Prime [Dennis Menschel]
    - The Journeyman Project 2: Buried in Time [Dennis Menschel]
    - Starship Titanic [Dennis Menschel]
    - The Longest Journey:
      - English version [Dennis Menschel]
      - German version [Dennis Menschel]
  * New versions:
    - King's Quest Series: Add Steam IDs [Adam Robinson]
    - Police Quest Series: Add Steam IDs [Adam Robinson]
    - Space Quest Series: Add Steam IDs [Adam Robinson]
    - Quest for Glory Series: Add Steam IDs [Adam Robinson]
    - Return To Zork: support v1.1 and v1.2 [adetiste]
    - Return To Zork: new GOG.com archive [Patrick Menschel]
    - Eye of the Beholder: Spanish version
      (this requires current ScummVM >= 2.2.0) [adetiste]
    - Blade Runner English DVD release, W.I.P. [adetiste]
    - I Have No Mouth and I Must Scream: update GOG versions [skitt]
    - The 7th Guest: update GOG version [skitt]
    - Rise of the Triad: update GOG version [skitt]
    - The Secret of Monkey Island: German version 1.1 [Dennis Menschel]
    - Monkey Island 2: LeChuck's Revenge: alternative German version 1.0
      [Dennis Menschel]
    - Loom: German version 1.2 [Dennis Menschel]
    - Indiana Jones and the Last Crusade: German version 1.02
      [Dennis Menschel]
    - Zak McKracken and the Alien Mindbenders: German version
      [Dennis Menschel]
    - Broken Sword 1: German version [Dennis Menschel]
    - Broken Sword 1: GOG.com archive [Dennis Menschel]
    - Broken Sword 2: German version [Dennis Menschel]
    - Myst: Masterpiece Edition: German version [Dennis Menschel]
    - Leisure Suit Larry 7: German version [Dennis Menschel]
    - Flight of the Amazon Queen: all non-English versions [adetiste]
      (Closes: #783925)
    - Unreal Tournament (1999): update to patch 469b [Sébastien Noel]
  * Internal changes:
    - Switch build system to Meson [smcv]
    - Support multiple Steam paths [Adam Robinson]
    - Move ResidualVM games (Grim Fandango, Myst 3) to ScummVM [adetiste]
    - Improve support for crispy-doom engine [Sébastien Noel]

 -- Simon McVittie <smcv@debian.org>  Mon, 14 Mar 2022 11:01:46 +0000

game-data-packager (68) unstable; urgency=medium

  * New games:
    - Commander Keen 1, 2, 3 & Keen Dreams [adetiste] (Closes: #786501)
  * New versions:
    - Heretic: GOG.com archive [Hans Joachim Desserud] (Closes: #990767)
    - Nippon Safes Inc. is now freeware, add download url. [adetiste]
    - Curse of Monkey Island: add Steam and GOG IDs [Dmitry Baryshkov]
    - Update quake2-reckoning-data (xatrix) to 2.09 and
      quake2-groundzero-data (rogue) to 2.08, corresponding to
      Yamagi Quake II version 8.00 [smcv]
  * Bug fixes:
    - Remove dead url to GOG.com Mix page [adetiste] (Closes: #963026)
    - Fix Steam mode compatibility with Python 3.9 [Adam Robinson]
  * Internal changes:
    - Use debhelper-compat 13 [adetiste]
    - d/control: Relax Python build-dependencies to :any [smcv]
  * Remove unnecessary Lintian override
  * Standards-Version: 4.6.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 05 Oct 2021 01:01:21 +0100

game-data-packager (67) unstable; urgency=medium

  * New games:
    - Blade Runner (GOG version) [skitt]
  * Internal changes:
    - quake3: Add pre-exported PNG versions of XCF icons to source code.
      xcftools is unmaintained and has security issues, so it is not
      suitable for stable Debian releases. (Closes: #982502) [smcv]

 -- Simon McVittie <smcv@debian.org>  Thu, 11 Feb 2021 08:32:26 +0000

game-data-packager (66) unstable; urgency=medium

  * New games:
    - Myst 2: Riven (Closes: #960850)
      [Frodo Looijaard, Ryan Armstrong]
    - Myst 3: Exile (Closes: #960851) [Frodo Looijaard]
  * New versions:
    - EcoQuest 1: CD-ROM version [Adam Robinson]
    - Hoyle's Official Book of Games, Volume 3:
      add VGA version [Adam Robinson]
    - Jedi Knight II: new GOG.com archive [Jan Braun]
    - Myst: Ubisoft 10th Anniversary DVD release [Ryan Armstrong]
      this also fix ScummVM gameid 'myst-win'->'myst' (Closes: #959970)
  * Bug fixes:
    - Hoyle's Official Book of Games: add ScummVM gameid so launchers work
      [Adam Robinson]
    - Hoyle's Official Book of Games, Volume 1:
      don't package a configuration file containing the player's name
      [Adam Robinson]
    - doom_common: Defer warning about missing weak dependencies
      until use (Closes: #962393) [smcv]
  * Internal changes:
    - Update AppArmor profiles to use abstractions from 2.13.x.
      A suitable version is available in Debian 10 and Ubuntu 19.10.
      [smcv]
    - Update Lintian overrides [smcv]
    - Standards-Version: 4.5.1 (no changes required) [smcv]

 -- Simon McVittie <smcv@debian.org>  Fri, 18 Dec 2020 17:26:36 +0000

game-data-packager (65) unstable; urgency=medium

  * New games:
    - Quest for Glory 4 (!12) [Chris Cromer]
  * New versions:
    - Doom 1: Sigil v1.2 and v1.21 (!3) [fabian]
    - Descent 2: Vertigo Series expansion (!8) [Ryan Armstrong]
    - The Dig: new GOG archives (!9) [Dmitry Eremin-Solenikov]
    - Simon the Sorcerer 1 and 2: new GOG archives (!11)
      [Dmitry Eremin-Solenikov]
    - Zak McKracken and the Alien Mindbenders: new GOG archive (!10)
      [Dmitry Eremin-Solenikov]
    - Quest for Glory 1 to 3: new GOG archives (!15) [Chris Cromer]
    - King's Quest 1 to 7: new GOG archives (!17) [Chris Cromer]
    - Space Quest 1 to 6: new GOG archives (!13) [Chris Cromer]
    - Police Quest 1 to 4: new GOG archives (!14) [Chris Cromer]
  * Bug fixes:
    - Doom games: Extract icons from WAD files using omgifol and PIL
      (!3) [fabian]
    - Doom 1: Attempt to properly split up the four available Sigil PWADs
      (!2) [fabian]
    - Spear of Destiny: Remove obsolete mirrors [adetiste]
  * Internal changes:
    - Declare compliance with Debian Policy 4.5.0 [smcv]
    - Build with Inkscape 1.0 (Closes: #959772) [adetiste]
    - Trim extraneous empty line from changelog [adetiste]
    - adding_a_game: Document the special handling of '?' [smcv]

 -- Simon McVittie <smcv@debian.org>  Tue, 12 May 2020 09:14:16 +0100

game-data-packager (64) unstable; urgency=medium

  * New games:
    - system-shock: add the CD-ROM version of System Shock [skitt]
  * New languages and versions:
    - Update quake2-reckoning-data (xatrix) to 2.07 and
      quake2-groundzero-data (rogue) to 2.06, corresponding to
      yamagi-quake2 7.41 [smcv]
    - Doom 1: SIGIL, brand new map by Romero [adetiste]
    - Compet-N: add Hell Revealed II and Scythe [fabian]
    - Jazz Jackrabbit: add support for original CD release by splitting
      Holiday Hare '95 into a separate package [Ryan Armstrong]
    - Morrowind: add support for original CD release [Ryan Armstrong]
  * Bug fixes:
    - Compet-N: list the included levels [fabian]
    - Day of the Tentacle: install monster.sof as monster.sof,
      not as monster.sou [Ryan Armstrong]
    - Doom series: improve .desktop file generation [fabian]
    - Jazz Jackrabbit: recommend openjazz engine [adetiste]
    - Unreal: Stop switching to windowed mode for new installations.
      This is contrary to Games Team policy, but avoids a bug in the
      proprietary game engine that can result in the mouse pointer getting
      stuck in one corner of the window (Closes: #941381) [smcv]
  * Internal changes:
    - AppArmor: Mark Mesa shader cache rules as obsoleted by apparmor 2.13
      [smcv]
    - AppArmor: Rename AppArmor profiles to decouple the name from the
      attachment, as per
      https://lists.ubuntu.com/archives/apparmor/2018-August/011791.html
      [smcv]
    - unreal, ut99 AppArmor profiles: Sync up with quake4 [smcv]
    - Move all AppArmor profiles to ./etc/apparmor.d [smcv]
    - AppArmor: Combine quake4 and quake4smp profiles [smcv]
    - d/salsa-ci.yml: Request standard CI on salsa.debian.org [smcv]
    - Declare compliance with Debian Policy 4.4.1 [smcv]
    - Add pyflakes-3 as a possible name for pyflakes [adetiste]
    - Use debhelper-compat 12 [smcv]

 -- Simon McVittie <smcv@debian.org>  Wed, 11 Dec 2019 09:39:37 +0000

game-data-packager (63) unstable; urgency=medium

  * Bug fixes:
    - make_template: Correct 'provides' for partially-present groups
  * Internal changes:
    - xcom-ufo: Make SOUND/ROLAND.CAT optional and add more version info.
      Thanks to Timothy Allen.

 -- Simon McVittie <smcv@debian.org>  Sun, 03 Feb 2019 19:47:29 +0000

game-data-packager (62) unstable; urgency=medium

  * New games:
    - jazz-jackrabbit: Add the Jazz Jackrabbit Collection, as published
      on GOG, for use with the openjazz package.
      Thanks to Fabian Greffrath (Closes: #902775) [smcv]
  * New languages and versions:
    - baldurs-gate-1, baldurs-gate-2, planescape-torment, teenagent:
      Add support for new GOG installers.
      Thanks to Roma Tentser
      (Closes: #913931, #913937, #913938, #913939) [smcv]
    - baldurs-gate-1: Add support for another GOG installer
      (Closes: #914548) [cacatoès]
    - kyrandia1: Add support for new GOG installer
      (Closes: #914528) [cacatoès]
    - xcom-ufo: Accept original GEODATA and original(?) ROLAND.CAT files
      from gog.com package, as an alternative to patched(?) files
      from Steam. Thanks to Timothy Allen
      (Closes: #916496) [smcv]
  * Bug fixes:
    - larry series: Stop treating larry-doc as an expansion; add a new
      documentation package type instead, and don't create .desktop files
      for those (Closes: #913911) [smcv]
    - wolf3d: Fix metadata describing how to unpack Apogee 1wolf14.zip
      [smcv]
    - rott, wolf3d: Fix download of shareware versions [smcv]
  * Internal changes:
    - tests/integration: Start to add a self-contained integration test.
      The old integration test is still present for now, but has been
      renamed to download_shareware. [smcv]
    - Declare compliance with Debian Policy 4.3.0 [smcv]

 -- Simon McVittie <smcv@debian.org>  Thu, 31 Jan 2019 10:32:50 +0000

game-data-packager (61) unstable; urgency=medium

  * New languages and versions:
    - hexen2: Add yet another repacked version of
      hexen2demo_nov1997-linux-i586.tgz (LP: #1781449) [smcv]
  * Bug fixes:
    - lgeneral: Fix arguments of prepare_packages() [smcv]
    - quake: Fix detection of aopfm when launching Quake [smcv]
    - d/tests/integration: Require python3-gi [smcv]
    - d/control: Suggest python3-gi, required (along with
      gir1.2-gdkpixbuf-2.0) to resize icons for some games [smcv]

 -- Simon McVittie <smcv@debian.org>  Mon, 12 Nov 2018 20:58:10 +0000

game-data-packager (60) unstable; urgency=medium

  * New games:
    - larry7: Add Leisure Suit Larry 7: Love for Sail.
      Thanks to Рома Тенцер (Closes: #902651) [smcv]
  * New languages and versions:
    - rott, wolf3d: Add support for downloading and unpacking the
      Apogee shareware versions [smcv]
    - rott: Uncomment 3D Realms mirror [smcv]
    - Leisure Suit Larry series: Add details of GOG Linux installers.
      Thanks to Рома Тенцер (Closes: #902580, #902581, #902583, #902584,
      #902586, #902656) [smcv]
    - Leisure Suit Larry 6: Add details of SVGA version.
      Thanks to Рома Тенцер (Closes: #902654) [smcv]
    - Loom: Add details of latest GOG Linux installer. (Closes: #902747)
      [skitt]
    - The Legend of Kyrandia: Add details of latest GOG installers.
      (Closes: #897594) [skitt]
  * Bug fixes:
    - d/control: Update gdp-runtime Description to reflect that ut99
      also requires it [smcv]
    - innoextract: Don't fail on space + git hash after version number
      (Closes: #902610) [smcv]
    - make_template, build: Don't limit innoextract to /app. This is
      less efficient, but some GOG installers now have useful contents
      outside /app (see #897594) [smcv]
    - freespace2: Host a copy of the necessary extra files on
      game-data-packager.debian.net [smcv]
    - quake4 AppArmor profile: Sync up with quake3 [smcv]
    - Remove details of defunct mirrors on Alioth (Closes: #911788) [smcv]
    - integration test: Correctly skip tests if file was not
      downloaded and no mirror was provided [smcv]
    - make-template: Fix various issues around --template, which imports
      an existing template [smcv]
    - innoextract: Only limit to one language if asked to do so, which
      should allow archives with language not "english" to be unpacked
      [smcv]
  * Internal changes:
    - Drop support for innoextract < 1.5, which is older than Debian
      stable [smcv]
    - Replace more anonscm.debian.org URLs with salsa.debian.org [smcv]
    - Declare compliance with Debian Policy 4.2.1 [smcv]
    - d/copyright: Add Disclaimer describing why this package is not
      part of Debian [smcv]
    - unpack, util: Adjust whitespace, mostly with autopep8 [smcv]
    - build, make_template: Factor out InnoSetup unpacker [smcv]
    - Rename rott-mirrors to 3drealms-mirrors [smcv]
    - game: Assert that all files that provide other files can be
      unpacked [smcv]
    - descent1: Remove unnecessary provides directive [smcv]
    - tests: Re-test with Python 3.5 if available, to avoid breaking
      the ability to run g-d-p on Debian stable [smcv]
    - Automatically fall back to SafeLoader if yaml has no CSafeLoader
      [smcv]

 -- Simon McVittie <smcv@debian.org>  Sun, 04 Nov 2018 20:18:38 +0000

game-data-packager (59) unstable; urgency=medium

  * Support for new languages and versions:
    - Broken Sword 1: add GOG.com url [adetiste]
    - Maniac Mansion: add GOG.com url [adetiste]
    - The Curse of Monkey Island: add Steam and GOG.com url [adetiste]
  * Bug fixes:
    - Simon the Sorcerer 1 and 2: update GOG.com URL for automatic download
      (Closes: #893909) [Dmitry Eremin-Solenikov]
    - Pajama Sam's Sock Works: fix SteamID for autodetection [adetiste]
    - Unreal Tournament (1999): Add missing dependency on
      gdp-runtime (>= 50~) (Closes: #890612) [smcv]
    - Quake series, Unreal: Version dependencies on gdp-runtime [smcv]
    - Quake: Download pre-ripped CD tracks from qaddicted.com if requested
      (Closes: #886996) [smcv]
    - Quake II: Install pre-ripped CD tracks from gog.com (Closes: #800622)
      or from Steam Community if downloaded separately with a
      browser (#886996) [smcv]
    - Heroes of Might and Magic III: Replace the Windows demo (which does
      not work with vcmi) with the Mac demo (which can be made to work)
      [Johannes Schauer, adetiste]
    - debian: Add versioned Recommends/Breaks to gdp so gdp-runtime
      is upgraded in lockstep [smcv]
  * Internal changes:
    - Heroes of Might and Magic III: Install to /usr/share/games/vcmi
      [Johannes Schauer]
    - innoextract: Remove special handling of '$provides' in to_unpack;
      games should set the look_for attribute on files instead [adetiste]
    - Add distinctive_name to the list of attributes that are propagated
      from file groups to files [smcv]
    - quake, quake2: Refactor how CD tracks are dealt with [smcv]
    - Arch Linux: Automatically upgrade backport-friendly dependencies
      like foo (>= 1.0~) to foo (>= 1.0) since Arch Linux does not support
      the dpkg/rpm meaning for '~' [smcv]
    - tools: add a new tool to compare the YAML database with the
      ScummVM wiki [adetiste]

 -- Simon McVittie <smcv@debian.org>  Thu, 10 May 2018 10:48:35 +0100

game-data-packager (58) unstable; urgency=medium

  * Support for new languages and versions:
    - hexen2: Support patching version 1.03 to 1.11 (Closes: #733750)
      [smcv]
  * Bug fixes:
    - build: If an xdelta/xdelta3 delta (or the first part of a
      multi-part archive) is downloadable, but the file to patch
      (or a subsequent part) isn't, correctly work out that the result
      of patching (or the archive contents) cannot be obtained [smcv]
    - make-template: Don't crash on encountering README.txt in a
      tarball [smcv]
    - hexen2: List English Wikipedia page [smcv]
    - keen4: fix fallback download URL [adetiste]
    - quake3: Set long name for Threewave CTF [smcv]
    - rpm: Write out Conflicts tag for mutually exclusive packages
      [adetiste]
    - data: Use https in more places [smcv]
  * Internal changes:
    - build: Add support for xdelta3 patches [smcv, adetiste]
    - Apply Debianisms to package descriptions while building packages,
      not in the source data [smcv]
    - data: Blank lines in help text don't need escaping with a dot
      [smcv]
    - descent1: Remove dots from blank lines in copyright text [smcv]
    - tools: Improve robustness of mirror.py [adetiste]

 -- Simon McVittie <smcv@debian.org>  Sat, 27 Jan 2018 18:39:44 +0000

game-data-packager (57) unstable; urgency=medium

  * Bug fixes:
    - morrowind: Exclude a few files from morrowind-complete-gog-extras
      that are already in morrowind-complete-en-plugins, preventing
      co-installation
    - morrowind: Install Vo/Misc/tr_alm*.mp3 into Sounds/Vo/Misc/, fixing
      a regression in v56
    - quake: Only try to install one instance of licinfo.txt
    - sam-and-max: Only try to install one instance of manual.pdf
    - core: Improve consistency checks so we verify that all packages
      are co-installable, or have metadata indicating that they are
      not co-installable

 -- Simon McVittie <smcv@debian.org>  Wed, 17 Jan 2018 10:20:11 +0000

game-data-packager (56) unstable; urgency=medium

  * Support for new languages and versions:
    - Laura Bow2 - The Dagger of Amon Ra: add description
      of GOG.com archive; fix autodownloading [adetiste]
    - morrowind: GOG.com archive (Closes: #882491) [smcv]
    - morrowind: Official "plugins" (free addons), provided by GOG but
      also available separately from Bethesda's CDN [smcv]
  * Enhancements and bug fixes:
    - brokensword25: Mark as a fan-made game [smcv]
    - loom: add support for MT-32 update [Dmitry Eremin-Solenikov]
      (Closes: #886699)
    - maniacmansion: Mark as available on Steam (if you have this game
      on Steam, please tell us which directory in steamapps/common it
      uses) [adetiste]
    - morrowind: Normalize case of single-letter directory names, so
      that files that should be together stay together [smcv]
    - quake3: Drop Recommends for xmessage|zenity|kdialog, no longer
      invoked directly from code in this package [smcv]
    - Fix a typo in previous changelog entry [adetiste]
    - Add missing bug reference for #876321 in previous changelog entry
      [adetiste]
    - Fix a regression where g-d-p could no longer rip CD audio. Thanks
      to Paul Preuss for locating the relevant commit.
      (Closes: #886965) [smcv]
    - `g-d-p make-template` now appears in --help output [smcv]
    - Make `g-d-p make-template` able to merge new versions into existing
      games (the result is very rough and will usually need editing, but
      is much less tedious than doing the merge by hand) [smcv]
    - Enhance `g-d-p make-template` to produce more informative templates
      (in particular listing multiple directories provided on the command
      line as separate groups), and share more code with the rest of
      g-d-p [smcv]
    - Teach `g-d-p make-template` to be able to load templates produced
      by earlier versions (sometimes with some prior editing) when the
      files from which the template was produced are not available [smcv]
    - Skip memory-hungry check_equivalence.py during Debian package build
      [smcv]
    - Add autopkgtests [smcv]
  * Internal changes:
    - Move GameData object to g_d_p.game to avoid an interpreter
      warning [smcv]
    - doom, laura-bow2: Reformat data files [smcv, adetiste]
    - Declare compliance with Debian Policy 4.1.3 [smcv]
    - Use debhelper compat level 11 [smcv]
      + Override dh_installsystemd instead of dh_installinit,
        dh_systemd_enable and dh_systemd_start
      + Rely on dh_installsystemd to install instanced systemd units
    - d/rules: Use dh_missing --fail-missing instead of dh_install
      --fail-missing [smcv]
    - d/control: Wrap and sort Suggests [smcv]
    - d/copyright: Fix some lintian warnings [smcv]
    - d/control: Change Vcs-* to salsa.debian.org [smcv]

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Jan 2018 10:22:11 +0000

game-data-packager (55) unstable; urgency=medium

  * New game support:
    - Broken Sword 2: The Smoking Mirror (Closes: #884685)
      [Dmitry Eremin-Solenikov, smcv]
    - Broken Sword 2.5, a fan-made sequel to Broken Sword (Closes: #884708)
      [Dmitry Eremin-Solenikov]
    - quake: add Abyss of Pandemonium, a formerly-commercial third party
      expansion (Closes: #800505) [smcv]
    - quake3: add Threewave CTF [smcv]
  * Support for new languages and versions:
    - brokensword1: Add support for the version now provided as free DLC
      for the Director's Cut on Steam (Closes: #884684)
      [Dmitry Eremin-Solenikov]
    - doom3: Doom 3 BFG from GOG.com. Thanks, Brice Terzaghi
      (Closes: #873504) [adetiste]
    - ut99: Game of the Year Edition (version 432) CDs (Closes: #884826)
      [Dmitry Eremin-Solenikov]
  * Enhancements and bug fixes:
    - Add support for expansions that are only downloaded if specifically
      requested, or if an important file from that expansion is found
      (Closes: #775080) [smcv]
    - doom: Only package John Romero's 2016 levels Tech Gone Bad and
      Phobos Mission Control if specifically requested or if the wad file
      or zip archive is found (Closes: #884354) [smcv]
    - hexen2: Allow auto-download of hexen2-hexenworld-data, but only if
      specifically requested or if the pak file or tarball is found [smcv]
    - quake: Only package semi-official Episode 5: Dimensions of the Past
      if specifically requested or if the pak file or rar archive is found
      [smcv]
    - Review of the French manpage [nyav]
    - unreal, ut99: adjust to web.archive.org behaviour changes
      (Closes: #882712) [smcv]
    - ut99: Add download URLs for patches and bonus packs
      [Dmitry Eremin-Solenikov]
    - ut99: Correct contents of UTbasePatch436nodelta.exe
      [Dmitry Eremin-Solenikov]
    - ut99: Add Recommends on osspd (Closes: #884825) [smcv]
    - freespace2: belatedly allow upgrade from freespace2-video
      (produced by g-d-p < 44) to freespace2-ogg-video (>= 44) [smcv]
    - spacequest5: fix regression introduce after g-d-p 49
      when building from GOG.com archive (Closes: #876321) [adetiste]
    - simon-puzzle: fix dependency of 3 simon-puzzle-pack-*-data packages
      against main data package [adetiste]
  * Internal changes:
    - Declare compliance with Debian Policy 4.1.2 [smcv]

 -- Simon McVittie <smcv@debian.org>  Wed, 20 Dec 2017 10:29:10 +0000

game-data-packager (54) unstable; urgency=medium

  * Support for new languages and versions:
    - Heroes of Might and Magic III: add support for French version
      [adetiste]
    - Laura Bow - The Colonel's Bequest: add support for the 3.5 floppies
      version as sold by GOG.com [adetiste]
    - Planescape Torment: add support for GOG.com version
      "1.01 (a) (10597)" [Phil Morrell]
    - Doom 3: Add GOG.com metadata for the BFG Edition [adetiste]
      + Doom & Doom2: List GOG.com's Doom 3 BFG Edition as a potential
        source of classic Doom WAD files [adetiste]
  * Enhancements and bug fixes:
    - drbrain2, morrowind, ut99: Do not try to install two files to the
      same destination in the same package. This would result in one
      of them being included and the other being omitted. [smcv]
    - Add a consistency check to prevent the above happening again [smcv]
    - morrowind: Do not issue warnings about a modified Morrowind.ini [smcv]
    - GOG: make the help text about missing lgogdownload and innoextract
      utilities distro-agnostic [adetiste]
    - If a source YAML file (from game-data-packager's source code) is
      placed next to vfs.zip, load it preferentially. Add comments to
      derived files (except the JSON, which uses monstrously long lines
      and so is hopefully clearly not intended to be human-readable, let
      alone editable) indicating what to do instead of editing them. [smcv]
    - doom3: Make all .crc files optional (really Closes: #862432) [smcv]
    - doom3: Accept an alternative version of english.lang (also part of
      #862432). Thanks, Max [smcv]
    - Arx Fatalis: add download URL for Japanese demo [adetiste]
    - King's Quest VII: depend on scummvm (>= 1.10.0) [adetiste]
    - Planescape Torment: simplify YAML by using groups [Phil Morrell]
    - packaging/deb: Try to use dpkg-deb --root-owner-group instead of
      fakeroot. This makes it irrelevant whether the fakeroot alternative
      points to original fakeroot, fakeroot-ng or pseudo, and whether the
      chosen implementation actually works (Closes: #879825) [smcv]
  * Internal changes:
    - Skip some of the more elaborate consistency checks when running a
      packaged version [smcv]
    - Add missing sizes and sha1 and sha256 hashes for files on Quake
      4 French retail DVD (Closes: 808200). Thanks, nyav [smcv]
    - debian/copyright.py: Cope with UTF-8 in licenses [smcv]
    - Set Rules-Requires-Root to no for g-d-p itself [smcv]
    - Declare compliance with Debian Policy 4.1.1 [smcv]

 -- Simon McVittie <smcv@debian.org>  Mon, 06 Nov 2017 08:44:55 +0000

game-data-packager (53) unstable; urgency=medium

  * Support for new languages and versions:
    - Update Quake II: The Reckoning (xatrix) to version 2.05 [adetiste]
    - Update Quake II: Ground Zero (rogue) to version 2.04 [smcv]
  * Enhancements and bug fixes:
    - Improve instructions given when data files are missing [smcv]
    - Work around command line parsing of LHa decompressor as seen
      in Wheezy & RPMfusion; users of lhasa were not affected [adetiste]
    - quake4 AppArmor: Allow more device enumeration [smcv]
    - quake series: Improve documentation for how to construct data
      packages, and fix broken symlinks (Closes: #866875) [smcv]
    - etqw, quake4, unreal, ut99: Use missing-data.txt to provide
      missing-engine.txt where the engine is part of the proprietary
      data part (Closes: #842804) [smcv]
  * Internal changes:
    - Declare compliance with Debian Policy 4.0.0 [smcv]
    - debian/copyright (for g-d-p and generated packages):
      Use https URL for Format [smcv]
    - debian/copyright: Sync Source with Vcs-Git [smcv]
    - debian/copyright: Declare overall license to be GPL-2, not
      GPL-2+ [smcv]
    - Build-depend on dbus and wrap dh_auto_build in dbus-run-session,
      so that Inkscape stops warning about inability to access the
      session bus [smcv]
    - Makefile: Use SOURCE_DATE_EPOCH [smcv]
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 05 Jul 2017 06:35:22 +0100

game-data-packager (52) experimental; urgency=medium

  * Fix a potential crash during data loading by initializing
    WantedFile.provides_files correctly [smcv]
  * Adjust game-data-packager-runtime Description to mention that
    it's used for the Quake series [adetiste]

 -- Simon McVittie <smcv@debian.org>  Fri, 19 May 2017 09:06:38 +0100

game-data-packager (51) experimental; urgency=medium

  * New game support:
    - Commander Keen: Goodbye Galaxy, including
      Secret of the Oracle (ck4), The Armageddon Machine (ck5) and
      Aliens Ate My Babysitter (ck6) (part of #786501) [skitt]
  * Enhancements and bug fixes:
    - If a downloadable file does not have the expected content, do not
      try to download it from the same URL again [adetiste]
    - Lower 'warning' message to 'info' about missing exotic unpacker
      if needed assets can found in other downloadable archives [adetiste]
    - Make .crc files in Doom 3 BFG optional. Not all versions have them
      (Closes: #862432) [smcv]
    - Add metadata indicating that Conquests of Camelot and Conquests of
      the Longbow can be obtained from GOG [adetiste]
    - Cope with hexen2demo_nov1997-linux-i586.tgz having been modified on
      the server. The changes do not affect the parts we repackage.
      [adetiste]
  * Internal changes:
    - Remove many unnecessary look_for directives that are implied
      by the special case that ?suffix is removed [adetiste]

 -- Simon McVittie <smcv@debian.org>  Sat, 13 May 2017 22:26:01 +0100

game-data-packager (50) experimental; urgency=medium

  * New game support:
    - King's Quest VII: The Princeless Bride [adetiste]
    - Mystery House: game release into the public domain [adetiste]
    - Police Quest IV [adetiste]
    - Space Quest 6 [adetiste]
    - Unreal Tournament (1999) [smcv]
  * Support for new languages and versions:
    - Document unsupported Doom v0.3 [nyav] (Closes: #857881)
    - Support for new GOG package of Icewind Dale 2 [Edward Allcutt]
    - Support for new GOG packages of Leisure Suit Larry games [adetiste]
    - Support for GOG packages of Jedi games (Closes: #784913) [adetiste]
    - Unreal: Add checksums for Unreal Gold v226b CD-ROM
      (Closes: #861316) [smcv]
  * Enhancements and bug fixes:
    - Fix exception thrown by CD ripping code (Closes: #860998) [adetiste]
    - Promote --search and --no-search from per-game options to
      global options so they show in global --help (Closes: #848374) [smcv]
    - Update man page [smcv, adetiste]
    - Refresh French translation of man page [adetiste]
    - xcom-ufo: Fix swapped file definitions, add GOG url
      (Closes: #856253) [R1dO]
    - Ensure that bsdtar/rpmbuild are present
      before attempting to build Arch/RPM packages [adetiste]
    - Bash completion: add --target-format & --target-distro [adetiste]
    - DotEmu online store is closing, remove all references [adetiste]
    - Remove GOG Windows cruft from various games [adetiste]
    - make-template: don't choke on v1 Zip files (Implode not implemented)
      [adetiste]
    - unzip: make --verbose work as expected [adetiste]
    - AppArmor: Allow more kinds of device enumeration [smcv]
    - build: Don't warn about being unable to derive one of several
      alternatives [smcv]
    - Tag games not available for sale anymore (Closes: #810059) [adetiste]
  * Internal changes:
    - Fix typo in TODO [nyav] (Closes: #857880)
    - Use locale 'C.UTF-8' instead of 'C' in Makefile,
      CPython will coerce it anyway (see PEP 538) [adetiste]
    - Use ImageMagick as a fallback when XCFTools are missing [adetiste]
    - Add a tool to detect outdated GoG packages [adetiste]
    - fix gdp-launcher for older pygobject [Ferdinand Thiessen]
    - Fix cross-build & argument checking (Closes: #857980) [adetiste]
    - TODO: sync with upcoming ScummVM 1.10.0 [adetiste]
    - Add missing 'franchise:' tags [adetiste]
    - .gitignore: Update for -runtime [smcv]
    - integration: Allow skipping test while offline [smcv]
    - unreal: Do lintian overrides from YAML, not from code [smcv]
    - build: For each package, summarize what gaps we failed to fill [smcv]
    - lazy loading of GOG & Steam modules to speed up startup [adetiste]

 -- Simon McVittie <smcv@debian.org>  Wed, 03 May 2017 07:10:24 +0100

game-data-packager (49) unstable; urgency=medium

  * d/gbp.conf: Switch git branch to debian/stretch for updates
    during freeze
  * quake3: Symlink ioquake3 native game and UI code into ~/.q3a,
    and run with vm_cgame, vm_game, vm_ui set to 0 by default.
    This resolves bugs in the proprietary Quake III Arena releases by
    swapping in ioquake3's updated (and Free Software) versions, and
    mitigates security issues in ioquake3 by letting
    ioquake3_1.36+u20161101+dfsg1-2 put a confirmation prompt in
    front of the option to enable auto-downloading.
    This regressed in v46.

 -- Simon McVittie <smcv@debian.org>  Tue, 14 Mar 2017 11:12:53 +0000

game-data-packager (48) unstable; urgency=medium

  * Enhancements and bug fixes:
    - Add a button to "Doom II Masterlevels" launcher to start
      chocolate-doom-setup from there. [adetiste]
    - Fix launcher scripts generated without fully expanding $bindir,
      resulting in files in '/$prefix'. This affected Z-code text
      adventures (H2G2, Zork, etc.) and multilingual ScummVM games.
      [adetiste]
  * Internal changes:
    - Refactor doom2-masterlevels launcher [adetiste]
    - Add all and distclean Makefile targets [smcv]
    - In Debian packaging, set a temporary home directory for Inkscape
      to silence warnings and comply with proposed policy (#845715)

 -- Simon McVittie <smcv@debian.org>  Tue, 06 Dec 2016 10:57:24 +0000

game-data-packager (47) unstable; urgency=medium

  * New game support:
    - Myst: Masterpiece Edition [adetiste]
  * Support for new languages and versions:
    - Super Noah's Ark 3D v1.3.3, from Steam or itch.io [adetiste]
  * Enhancements and bug fixes:
    - make-template: don't crash when unable to guess what $install_to
      should have been. Regression in v46. (Closes: #841164) [smcv]
    - This version of g-d-p was built against an apparmor package
      where #828795 was fixed, so we no longer emit a misleading warning
      from the postinst (Closes: #829035) [smcv]
    - Fix a crash when packaging ecwolf games [adetiste]
    - ja: Fix spurious warnings about assets0.pk3 [smcv]
  * Internal changes:
    - Stop using lsb-release [smcv]
    - Refactor Package object creation [smcv]
    - Do not modify Package objects after they have been loaded [smcv]
    - Restructure doom2-masterlevels data [adetiste]
    - Simplify creation of DEBIAN/control [smcv]
    - Sort license files if there are multiple [smcv]
    - Conform to https://github.com/cgwalters/build-api (vaguely imitating
      Autoconf, but differently-implemented) [smcv]

 -- Simon McVittie <smcv@debian.org>  Sat, 05 Nov 2016 14:28:27 +0000

game-data-packager (46) experimental; urgency=medium

  * Support for new languages and versions:
    - Update quake2-reckoning-data to 2.03 and quake2-xatrix-data to 2.04,
      matching yamagi-quake2 5.34 and adding support for more
      architectures [smcv]
  * Enhancements and bug fixes:
    - also search for games assets in 'Program Files (x86)' directories
      [adetiste]
    - add experimental support for building packages for another system, for
      example Fedora RPMs on Debian [smcv]
    - append distribution to RPM release number, for example
      many data packages are now version 46-0.fedora if built for Fedora
      [smcv]
    - use the Python/GTK gdp-launcher that was previously used for
      Unreal to wrap the Quake series too, allowing all their
      shell scripts to be removed [smcv]
      * they now report missing expansions correctly (Closes: #829060)
      * the help is no longer done with cat <<EOF (Closes: #807533)
    - split out game-data-packager-runtime into a separate binary
      package so g-d-p (and its archive-unpacking dependencies)
      doesn't have to remain installed alongside the games that use its
      launcher [smcv]
    - quake4 AppArmor: update quake4smp profile to match quake4 [smcv]
    - quake* AppArmor: allow gdp-openurl script as an alternative to xdg-open
      [smcv]
    - quake3: correct logic for letting the demo run without the full game
      [smcv]
    - quake*-server: add missing dependency on lsb-base 3.0-6 [smcv]
    - convert soltys.xpm to PNG for compatibility with ImageMagick 6.8,
      fixing FTBFS with that version (Closes: #842619) [smcv]
  * Internal changes:
    - switch to debhelper 10, no change needed [adetiste]
    - take over the quake family of binary packages from src:quake [smcv]
    - mark the out/ directory with CACHEDIR.TAG to make it easy to avoid
      backups [smcv]
    - games can use more variables, which are expanded recursively
      ($docdir -> $datadir/doc -> $prefix/share/doc -> /usr/share/doc)
      [smcv]
    - expand $assets etc. to absolute paths, to make the .desktop files
      less weird [smcv]
    - factor out most packaging-specifics into modules [smcv]
    - convert 'make manual-check' into an ordinary test, which is
      skipped if the necessary files are not in ~/Downloads [smcv]

 -- Simon McVittie <smcv@debian.org>  Fri, 14 Oct 2016 22:57:38 +0100

quake (18) unstable; urgency=medium

  * quake4 AppArmor: allow additional video device enumeration
  * quake4 AppArmor: allow reading /etc/machine-id, used by PulseAudio
  * quake4 AppArmor: allow mmapping ~/.quake4/*/gamex86.so
  * quake: add a shortcut for Quake Episode 5: Dimensions of the Past
  * All systemd services: add Documentation key pointing to man pages
  * Add lintian overrides for repeated words in d/copyright

 -- Simon McVittie <smcv@debian.org>  Wed, 29 Jun 2016 10:20:17 +0100

quake (17) unstable; urgency=medium

  [ Alexandre Detiste ]
  * Add support for "Enemy Territory: Quake Wars" using the
    proprietary binaries (there is no open-source engine)
    and following the same patterns as used for Quake 4.

  [ Simon McVittie ]
  * Add a confirmation step before running binary-only executables
  * etqw.desktop: add some more keywords
  * etqw*.6: document QUAKE4_BACKTRACE, QUAKE4_DEBUGGER
  * Remove unused (and not installed) quake4smp wrapper
  * Check scripts for missing substitutions
  * quake4.in: use the same source for ETQW
  * README.etqw-data: expand
  * d/copyright: mention the idTech4 games, and Alexandre's contributions
  * d/control: remove Suggests on quake4-pb-bin, which is disabled in
    game-data-packager to avoid CVE-2007-5248
  * quake, quake2, quake3: if launched via a symlink whose name
    contains armagon, hipnotic, etc., run the appropriate expansion pack
  * quake.desktop, quake2.desktop, quake3.desktop: run each expansion
    pack via a different symbolic link. This is a workaround for Steam
    ignoring command-line options when adding a non-Steam shortcut
    (<https://github.com/ValveSoftware/steam-for-linux/issues/3855>)
  * quake*.desktop: stop using Roman numerals, so they sort in
    the correct order
  * quake4*: add experimental AppArmor profiles
  * Switch Vcs-Git to https (see #810378)
  * Standards-Version: 3.9.8 (no further changes needed)
  * Normalize packaging via wrap-and-sort -abst
  * quake4.in: don't run env under gdb, if using both

 -- Simon McVittie <smcv@debian.org>  Mon, 30 May 2016 09:38:18 +0100

quake (16) unstable; urgency=medium

  * Move Build-Depends-Indep to Build-Depends; they are needed
    for the quake4 package, which is Architecture: i386 due to
    its dependency on i386-only binaries.
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Sat, 21 Nov 2015 18:16:46 +0000

quake (15+exp1) experimental; urgency=medium

  * Enable the quake4 packages unconditionally
  * Upload to experimental to wait for NEW processing

 -- Simon McVittie <smcv@debian.org>  Sun, 01 Nov 2015 00:06:05 +0000

quake (15) unstable; urgency=medium

  * quake3-server: correct help text
  * quake3-server: lock the Debian-quake3 account on purge, and unlock
    it on reinstallation, instead of deleting it on purge.
    This matches what we do for quake-server and quake2-server,
    and hardens the system against the possibility that files owned
    by Debian-quake3 might become owned by an unrelated user that
    is given the same numeric uid.
  * Add support for Quake 4, using the proprietary binaries (there is
    no open-source engine). These packages are currently skipped by
    default: use DEB_BUILD_OPTIONS=quake4 to build them.

 -- Simon McVittie <smcv@debian.org>  Sun, 01 Nov 2015 00:05:29 +0000

quake (14) unstable; urgency=medium

  [ Alexandre Detiste ]
  * Don't show "--text=" in kdialog prompt (Closes: #781943)
  * Suggest new packages quake2-{groundzero,reckoning}-data
    instead of their old names quake2-{groundzero,reckoning}

  [ Simon McVittie ]
  * Install a 48x48 version of the Quake III Arena icons in addition
    to 256x256, as recommended by the XDG Icon Theme spec
  * Stop installing traditional Debian menu files to comply with
    CTTE decision #741573
  * Stop installing XPM icons
  * Use unique temporary filenames, so parallel builds can work

 -- Simon McVittie <smcv@debian.org>  Fri, 02 Oct 2015 10:03:28 +0100

quake (13) unstable; urgency=medium

  * Canonicalize Vcs-Browser, and use https
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 29 Apr 2015 10:11:59 +0100

quake (12) experimental; urgency=low

  * quake3-server.init: set correct com_homepath for sysvinit servers
    (server.q3a, not /var/games/.../server.q3a - it is meant to be relative
    to $HOME)
  * quake3-server: install extra symlinks so that server.cfg can be found
    when using quake3*-data (>= 40)

 -- Simon McVittie <smcv@debian.org>  Thu, 05 Feb 2015 11:02:50 +0000

quake (11) experimental; urgency=low

  * quake3: fix installed-location detection by looking for pak0.pk3,
    not pak0.pak

 -- Simon McVittie <smcv@debian.org>  Wed, 04 Feb 2015 11:17:00 +0000

quake (10) experimental; urgency=low

  * quake2: execute debian_server.cfg again, reverting a change from v9.
    Unlike quake and quake3, quake2's default configuration file is named
    debian_server.cfg, and the demo and full game have different versions.
  * quake, quake3: remove support for START_DAEMON
    - if the server was previously disabled via START_DAEMON,
      do a one-time migration to "update-rc.d $SERVICE disable"
  * Modify quake*-server configuration
    - put default for DAEMON_OPTS in /etc/init.d/quake*-server so it can
      operate without /etc/default/quake*-server
    - "+exec etc/quake*-server/server.cfg" is no longer part of DAEMON_OPTS
    - add native systemd units
    - add optional instanced systemd units for multiple servers per machine
  * quake3: prefer to load game data from /usr/lib/quake3/base
    or /usr/lib/quake3/ta, where ioquake3 can provide native-code game modules
    - this requires ioquake3 (>= 1.36+u20150114+dfsg1-1~) and
      quake3*-data built by game-data-packager (>= 40)
  * quake3: experimental support for loading the demo data
    - the same requirements apply
  * Standards-Version 3.9.6 (no changes)
  * Simplify advice on obtaining game data, and point to
    game-data-packager's new declarative data files for checksums and
    exact sizes (Closes: #762823)
  * quake-server, quake2-server: if no data, exit 72 like quake3-server does

 -- Simon McVittie <smcv@debian.org>  Wed, 04 Feb 2015 10:18:27 +0000

quake (9) experimental; urgency=low

  * quake3.desktop: describe Q3 as an ActionGame, not an ArcadeGame
  * Install the Q3 icon to the freedesktop.org icon path
  * Add recoloured icons and desktop files for the Quake II mission packs
    (requires quake2-reckoning and/or quake2-groundzero from
    game-data-packager 39)
  * Add desktop file for Quake III: Team Arena (requires quake3-team-arena
    from game-data-packager 39) and install its icon
  * Partially sync server configuration from openjk and iortcw:
    - deprecate START_DAEMON
    - make /etc/quake*-server available as etc/quake*-server in the game
      engine's search path so it's more obvious what is being exec'd (leave
      the debian_server.cfg symlink in for compatibility)
  * quake3-server: use a non-hidden home path,
    /var/games/quake3-server/server.q3a, in preparation for multiple-instance
    support

 -- Simon McVittie <smcv@debian.org>  Thu, 22 Jan 2015 12:32:19 +0000

quake (8) unstable; urgency=medium

  * Avoid ambiguous precedence of Makefile rules for 24px icons,
    fixing FTBFS with recent make (Closes: #751039)

 -- Simon McVittie <smcv@debian.org>  Tue, 10 Jun 2014 22:56:23 +0100

quake (7) unstable; urgency=low

  [ Fabian Greffrath ]
  * Sort Debian control files via "wrap-and-sort -ab".

  [ Simon McVittie ]
  * quake2-server: don't recommend x11-utils | etc., they are only used
    in the clients
  * Recommend kde-baseapps-bin instead of transitional kdebase-bin

 -- Simon McVittie <smcv@debian.org>  Sun, 09 Mar 2014 13:56:32 +0000

quake (6) unstable; urgency=low

  * Generate recoloured icons for Quake mission packs
  * Put built files in build/
  * Mention bug 728506 in the version 5 changelog
  * Add some keywords to the .desktop files
  * Add VCS fields to debian/control
  * Standards-Version: 3.9.5 (no changes needed)
  * Take over the quake3 and quake3-server binary packages from src:quake3
  * Add a recoloured Team Arena icon
  * Add Keywords to quake3.desktop
  * Duplicate quake3 lintian overrides to quake, quake2 since they concern
    the copyright file, which was merged

 -- Simon McVittie <smcv@debian.org>  Mon, 13 Jan 2014 11:03:16 +0000

quake3 (1.4) unstable; urgency=low

  * Add status action to init script
  * Don't refuse to start a new quake3-server if there's a stale pid file
    (similar to #678543)
  * Report ioquake3, ioquake3-server information in quake3, quake3-server bugs
  * Standards-Version: 3.9.3 (no changes)
  * Update copyright dates
  * Add a Description to the init script
  * Run a server from the quake3-server package by default (as per Policy),
    unless this is an upgrade from 1.3 or older
  * During purge of quake3-server, delete files owned by Debian-quake3 before
    deleting the user itself

 -- Simon McVittie <smcv@debian.org>  Sat, 23 Jun 2012 14:08:41 +0100

quake3 (1.3) unstable; urgency=low

  * Make the desktop file definitely run /usr/games/quake3, and not some
    other quake3 on the user's $PATH
  * Upload to unstable/contrib now that I've done the same with g-d-p 25

 -- Simon McVittie <smcv@debian.org>  Wed, 16 Mar 2011 15:49:39 +0000

quake3 (1.2) experimental; urgency=low

  * Make the QUAKE3_BACKTRACE option work properly

 -- Simon McVittie <smcv@debian.org>  Sun, 16 Jan 2011 22:27:07 +0000

quake3 (1.1) experimental; urgency=low

  * Allow game-data-packager to satisfy the quake3-data dependency
  * If quake3-data is missing from quake3, don't allow the game to run (the
    engine doesn't cope well with it); instead, use zenity, kdialog, xmessage
    or (as a last resort) terminal output to tell the user about
    game-data-packager
  * If quake3-data is missing from quake3-server, just output to the console
  * Add a simple init script (disabled by default, so you don't have to use
    it if you prefer to run the server under screen or something), based on
    the one in tremulous-server

 -- Simon McVittie <smcv@debian.org>  Fri, 12 Nov 2010 23:12:28 +0000

quake3 (1.0) experimental; urgency=low

  [ Jack Coulter ]
  * Initial packaging (Closes: #487933), based on work by Marc Leeman and
    Bruno Kleinert

  [ Simon McVittie ]
  * Adapt for the current version of ioquake3
  * Upgrade to source format 3.0 (native), debhelper v8, machine-readable
    copyright, and Policy version 3.9.1
  * Include the GIMP source file for the logo (from ioquake3), and produce
    lower-quality versions from it at build time
  * Upload to experimental for now, until a version of game-data-packager
    that can produce quake3-data reaches unstable

 -- Simon McVittie <smcv@debian.org>  Fri, 22 Oct 2010 23:29:21 +0100

quake (5) experimental; urgency=low

  * Team upload.
  * Fix quake2 dependency to be quake2-engine, not quake-engine.
    (Closes: #728506)

 -- Jonathan Dowland <jmtd@debian.org>  Mon, 11 Nov 2013 15:03:41 +0000

quake (4) experimental; urgency=low

  * Add support for Quake II
  * Upload to experimental

 -- Simon McVittie <smcv@debian.org>  Sun, 29 Sep 2013 14:51:56 +0100

quake (3) unstable; urgency=low

  [ David Banks ]
  * Add LSB description field to init script.
  * Add status action to init script (ported from quake3 package).
  * Bump debhelper compat version to 9 to avoid python warning.
  * Bump standards version to the latest version, 3.9.3.

  [ Simon McVittie ]
  * Apply patch from Stephan Springl to install successfully with
    non-shadow passwords (Closes: #679642)
  * Standards-Version: 3.9.4, no changes needed

 -- Simon McVittie <smcv@debian.org>  Thu, 26 Sep 2013 21:53:10 +0100

quake (2) unstable; urgency=low

  [ David Banks ]
  * Suggest correct path to darkplaces

  [ Simon McVittie ]
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 09 Nov 2011 18:16:05 +0000

quake (1) experimental; urgency=low

  [ David Banks ]
  * Initial release.

  [ Simon McVittie ]
  * Move to contrib/games due to dependency on non-distributable data
  * Allow game-data-packager to satisfy the quake-data dependency: if a
    user installs this package before data, we want g-d-p to get installed,
    and the launcher copes gracefully with being run with no data
  * Change dependencies and re-word package description to talk about
    quake-registered and quake-shareware specifically, since they're the
    core packages
  * Recommend something that can display the "need data" message
  * Replace bitmapped icon with an independently-created SVG and scripts
    to generate various sizes
  * Add a Quake mini-policy in debian/policy.txt, describing a quake-engine
    alternative, and use that
  * Give the script a --engine switch to force a particular engine
  * Include menu entries for the mission packs, which are automatically
    hidden if the corresponding data files are not installed
  * Add a quake-server binary package

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Jul 2011 17:35:56 +0100

game-data-packager (45) unstable; urgency=medium

  * New game support:
    - Arthur: the Quest for Excalibur [skitt]
    - James Clavell's Shōgun [skitt]
    - Journey: Part One of the Golden Age Trilogy [skitt]
    - The Labyrinth of Time [adetiste]
    - Mixed-Up Fairy Tales [adetiste]
    - Mortville Manor [adetiste]
    - The Secret of Monkey Island 1 & 2 [adetiste]
    - Zork: The Undiscovered Underground [skitt]
    - Zork Zero [adetiste]
  * Support for new languages and versions:
    - Indiana Jones and the Last Crusade (English CD) [skitt]
    - Doom 1: Tech Gone Bad, brand new map by Romero [adetiste]
      (Closes: #812513)
    - Doom 1: Phobos Mission Control, another new map [fabian]
    - Quake Episode 5: Dimensions of the Past (20th anniversary
      expansion by MachineGames) [smcv]
    - Theme Hospital (GOG) 2.1.0.8 [Phil Morrell]
  * Enhancements and bug fixes:
    - Correct UnrealGoldPatch227i.7z's format [skitt]
    - The Unreal patches provide lin_convenience_libs [skitt]
    - Do not crash if there's no internet access and game
      is possibly owned by user's Steam account [adetiste]
    - Abort early when running from a deleted directory and --destination
      hasn't been specified [adetiste] (Closes: #783319)
    - Skip downloading files if their size on the server does not match
      what was expected [adetiste]
    - Use ScummVM's own hosting instead of SourceForge [adetiste]
    - Adapt code dealing with ScummVM configuration to account for it now
      following the XDG Base Directory spec [adetiste]
    - Make progress bars time-based, with a progress bar appearing if
      an operation has taken too long [adetiste, smcv]
    - Add Shooter category for Doom 2 Master Levels [Matthias Mailänder]
  * Internal changes:
    - Refactor dependency relationships and other distro- and
      format-dependent values. They now take a map or list of
      maps like {'deb': 'foo-dfsg (>= 1)', 'generic': 'foo'}.
      Versioned dependencies are translated from dpkg syntax
      to RPM or Arch syntax as needed; and library dependencies
      can be spelled like "libfoo0.so.1" which will be translated
      to libfoo0-1 for dpkg distributions. [smcv]
    - Smarter handling of InnoExtract archives that takes alternative
      look_for names into account; which reduces the need
      to explicitly list files to unpack. [adetiste]
    - Build-Depends: on "pyflakes3 | pyflakes" to avoid to needlessly
      pull in Python2 during the build on Stretch and later. [adetiste]
    - Remove support for install_contents_of keyword, better handled by
      groups now [adetiste]
    - Remove support for install_files in package stanzas, superseded
      by groups [smcv]
    - Break out command-line interface into its own module to reduce
      circular imports [smcv]
    - Break out file-loading into new g_d_p.data module [smcv]
    - Distinguish between files and groups [smcv]
    - Standards-Version: 3.9.8, no changes required

 -- Simon McVittie <smcv@debian.org>  Wed, 29 Jun 2016 10:52:16 +0100

game-data-packager (44) unstable; urgency=medium

  New game support:

  [ Alexandre Detiste ]
  * Enemy Territory: Quake Wars, using the proprietary x86 binaries
  * ScummVM games:
    - Amazon: Guardians of Eden
    - Beavis and Butthead in Virtual Stupidity
    - The Bizarre Adventures of Woodruff and the Schnibble
    - Conquests of Camelot: The Search for the Grail
    - Conquests of the Longbow: The Legend of Robin Hood
    - Freddy Pharkas: Frontier Pharmacist
    - Hoyle's Official Book of Games
    - Jones in the Fast Lane
    - Leather Goddesses of Phobos 2
    - Mixed-Up Mother Goose
    - Nippon Safes Inc.
    - Once Upon A Time: Little Red Riding Hood
    - Pajama Sam series
    - Rex Nebular and the Cosmic Gender Bender
    - Ringworld 1 & 2
    - Rodney's Funscreen
    - The Lost Files of Sherlock Holmes: The Case of the Rose Tattoo
    - Simon the Sorcerer's Puzzle Pack
    - Tony Tough and the Night of Roasted Moths
    - Touché: The Adventures of the Fifth Musketeer
    - Troll's Tale
    - Urban Runner
    - Ween: The Prophecy
    - Winnie the Pooh in the Hundred Acre Wood
  * Douglas Adams's "Bureaucracy" text game
  * The Elder Scrolls III: Morrowind (Closes: #776541)
  * Ultima VII (Closes: #784733)

  [ Stephen Kitt ]
  * Infocom games:
    - A Mind Forever Voyaging
    - Ballyhoo
    - Border Zone
    - Cutthroats
    - Deadline
    - Enchanter
    - Hollywood Hijinx
    - Infidel
    - Leather Goddesses of Phobos
    - The Lurking Horror
    - Moonmist
    - Nord and Bert Couldn't Make Head or Tail of It
    - Plundered Hearts
    - Seastalker
    - Sherlock: The Riddle of the Crown Jewels
    - Sorcerer
    - Spellbreaker
    - Starcross
    - Stationfall
    - Suspect
    - Suspended
    - Trinity
    - Wishbringer
    - Witness

  [ Simon McVittie ]
  * Unreal (classic or Gold), using the proprietary x86 binaries

  Support for new languages and versions:

  [ Alexandre Detiste ]
  * Discworld 1: add de/fr/es/it floppy version
  * RTCW: add Italian version, Thanks to iortcw upstream

  [ Stephen Kitt ]
  * Cruise for a Corpse: add French CD version
  * The Dig: add English CD version

  Enhancements and bug fixes:

  [ Alexandre Detiste ]
  * fix en_GB auto-detection
  * fix autodownloading of GrimFandango Italian demo
  * fix 'gog', 'atlantis' & 'baldurs-gate-2' targets (Closes: #804804)
  * use steamcmd to download Linux & Windows game assets (Closes: #775365)
  * re-add Doom 2 - MasterLevels launcher icon that got lost in v42 or v43

  [ Simon McVittie ]
  * runtime: add a generic Gtk launcher, initially for Unreal
  * Add an experimental AppArmor profile for the non-free Unreal binaries,
    to protect the rest of the system from any exploits

  [ Stephen Kitt ]
  * Update the GOG installer for The Dig (English).
  * Add Sam & Max CD manual.

  Internal changes:

  [ Alexandre Detiste ]
  * fedora: prepare initial release
  * make install: fix inclusion of game_data_packager/unpack in .deb
  * man pages: install man pages in Makefile
  * refactor packaging for various games
  * avoid computing known md5 again in our dh_md5sums implementation
  * steam: semi-automatically tag remaining native games

  [ Simon McVittie ]
  * quake, quake2: make aliases consistently strings
  * Always build vfs.zip, and optionally use it even when uninstalled
  * to_yaml: turn sets into sorted lists, and output more fields
  * Add a test that various forms of the game data are equivalent
  * GameData: do not crash if _iter_expand_groups changes self.files
  * build: allow tar.* as an unpacker format
  * build: add support for xdelta version 1 patches
  * Add an abstraction and limited auto-detection for archive unpacking
  * Add library code to extract Unreal mods and installers
  * make-template: always capture SHA1 and SHA256: we can edit them out
    later if desired, but if the g-d-p maintainers don't own a particular
    game, more information is better than less
  * make-template: use groups
  * make-template: refactor to support auto-detection and recursion into
    (some) archives
  * make-template: preserve case for files from InnoExtract
  * make-template: preserve full name of license files
  * Add support for forcing a package's short and long description
  * Allow packages to be marked as deliberately empty
  * Generalize support for $install_to in symlinks to cover $assets, etc.
  * Allow any file to be made executable by the installation process
  * Do not try to obtain non-preferred alternatives for files
  * Accept $GDP_DEBUG as a synonym for $DEBUG
  * Switch Vcs-Git to https (see #810378)

 -- Simon McVittie <smcv@debian.org>  Fri, 22 Jan 2016 23:01:25 +0000

game-data-packager (43) unstable; urgency=medium

  New game support:

  [ Alexandre Detiste ]
  * X-COM: UFO Defense (Closes: #793017)
  * ScummVM games:
    - 3 Skulls of the Toltecs
    - Bargon Attack
    - The Black Cauldron
    - Blue Force
    - Castle of Dr. Brain & The Island of Dr. Brain
    - Chivalry is Not Dead
    - Codename: ICEMAN
    - Cruise for a Corpse
    - EcoQuest 1 & 2
    - Enclosure (fan-made game)
    - Eye of the Beholder 1 & 2
    - The Feeble Files
    - Future Wars (English version)
    - Gold Rush!
    - Hank's Quest (fan-made game)
    - Hopkins FBI
    - Hugo's House of Horrors and its two sequels
    - Lands of Lore: The Throne of Chaos
    - Laura Bow 1 & 2
    - The Lost Files of Sherlock Holmes: The Case of the Serrated Scalpel
       (support for this game is currently being added to scummvm)
    - Lost in Time
    - Manhunter 1 & 2
    - The Manhole
    - The Neverhood
    - Personal Nightmare
    - Slater & Charlie Go Camping
    - Toonstruck

  [ Markus Koschany ]
  * Wolfenstein: Enemy Territory, for the etlegacy engine (Closes: #780446)
  * Baldur's Gate - The Original Saga (GOG.com English Linux installer)
    for the gemrb engine (Closes: #776540)
  * Baldur's Gate 2 (GOG.com English Linux installer) for the gemrb engine
    (Closes: #800712)
  * Icewind Dale (GOG.com English Windows installer) (Closes: #800713)
  * Icewind Dale 2 (GOG.com English Windows installer) (Closes: #800714)
  * Planescape: Torment (GOG.com English Windows installer) (Closes: #800715)

  [ Stephen Kitt ]
  * ScummVM games:
    - Indiana Jones and the Last Crusade
    - Discworld (CD version)
    - Discworld II: Missing Presumed...!? (UK version)

  [ Simon McVittie ]
  * Quake 4, using the proprietary x86 binaries

  Support for new languages and versions:

  [ Alexandre Detiste ]
  * Day Of The Tentacle: French, Italian, Spanish
  * Doom packages from GOG.com (Closes: #796995)
  * Grim Fandango: French, Brazilian, Spanish, Italian;
    English, French, Italian demos
  * Legend of Kyrandia 1: English floppy disk version
  * Leisure Suit Larry 5: French
  * Maniac Mansion: Italian, Spanish
  * Quake 1: partial support (no music) for the gog.com version
    (partially addresses Bug #798816)
  * Quake 3: support the GOG.com version (Closes: #801671)
    The 'quake3-data' package now includes the HTML documentation
    if available.
  * RTCW: German, Spanish
  * Space Quest 4 and 5: French

  [ Stephen Kitt ]
  * The 7th Guest: Steam version
  * Loom: Steam version, EGA version
  * Future Wars: French PC and English Amiga versions

  Other changes:

  [ Alexandre Detiste ]
  * Add myself to Uploaders
  * Add support for more miscellaneous shop URLs
  * Fix speech alternatives in Broken Sword 1 (Closes: #795624)
  * Use apt-get 1.1 instead of dpkg to install local .deb if available;
    this will automatically pull recommended engine
  * Add "game-data-packager steam" mode
  * make-template mode: check innoextract version (Closes: #797550)
  * Call 'lgogdownloader' automatically (Closes: #782205)
  * Fix Quake2 expansions "Ground Zero" and "Reckoning", and name the .deb
    with the correct architecture, not "all"
  * Display messages about "not building X because Y is better"
    by default, not just in debug mode
  * Make it less likely that unnecessary files are downloaded
  * Don't warn if doom-wad-shareware is installed
  * Search for Steam at the root of a disk, since C:\ on SSD and
    D:\Steam on HDD is a somewhat popular setup
  * Pack game data into a zip file for faster startup when installed
  * RTCW: fix mission 1 French & Spanish briefing (Closes: #803128)

  [ Markus Koschany ]
  * Vcs-Browser: Use cgit and https.

  [ Simon McVittie ]
  * Use debian.debian_support.Version to compare version numbers
  * yaml2json: specifically work on one file at a time
  * Move steam and gog modes to their own modules
  * Separate GameData (static information about the game) from
    PackagingTask (the actual game-data-packaging)
  * Move detailed information about files to be packaged into separate JSON
    and *sums files, which are loaded lazily. This speeds up
    "game-data-packager --help" considerably. (Continuation of #779937)
  * Add configurable installation method instead of always using dpkg or apt
  * Add configurable privilege-gaining method instead of always using su,
    defaulting to pkexec if available, or sudo if available and the user
    is in a privileged group, or su
  * Update metadata for yquake2 mod code
    - The Reckoning (xatrix) 2.03 (Closes: #799954)
    - Ground Zero (rogue) 2.02 (Closes: #799955)
  * quake2: mention in the package descriptions and help text that we are
    using the yquake2 game-code
  * quake2: mark videos as optional (Closes: #800575)
  * Enable parallel build
  * Log external commands at debug level before we run them
  * Never try to unpack an archive more than once
  * Warn if we unpack an archive and it doesn't contain everything that
    our metadata says it should
  * rtcw: add Replaces, so that dpkg will automatically replace rtcw-data
    with language-specific packages like rtcw-en-data
  * Add --debug command-line option, more discoverable than DEBUG=1
  * Make GOG search-paths more declarative
  * quake3-team-arena-data: remove colliding symlink
  * quake3: always install the Index.html from the Linux or Windows
    full version, not the one from the demo if found
  * quake3: look for foo.htm as matching any version of foo.html where there
    are multiple versions

 -- Simon McVittie <smcv@debian.org>  Sun, 01 Nov 2015 00:58:11 +0000

game-data-packager (42) unstable; urgency=medium

  [ Alexandre Detiste ]
  * add support for many ScummVM games:
    - The 7th Guest
    - The Dig
    - Dračí Historie GPL'ed game (Closes: #783914)
    - Elvira 1 and 2
    - Gobliiins 1 to 3
    - Indiana Jones and the Fate of Atlantis
      (en/de/fr/es/it languages, most CD & floppy versions)
    - Inherit the Earth
    - King's Quest 1 to 6
    - Legend of Kyrandia 1 to 3
    - Leisure Suit Larry 1, 2, 3, 5 and 6
    - Loom
    - Police Quest 2 and 3
    - Quest for Glory 1, 2 & 3
    - Sam & Max Hit the Road
    - Simon the Sorcerer 1 and 2
    - Space Quest 1 to 5
    - TeenAgent (Closes: #783921)
    - Waxworks
    - Zak McKracken and the Alien Mindbenders
    - Zork series: Return to Zork, Zork Nemesis, Zork Grand Inquisitor
      (Closes: #792017)
  * replace non-ASCII characters with closest ASCII character
    when displaying help screen with LANG=C (Closes: #784330)
  * Heroes 3: don't package HiScore.dat (Closes: #784995)
  * add support for Compet-N mods for Doom and Doom II (Closes: #776061)
  * only load actually needed YAML files (Closes: #779937)
  * improve 'GDP $game --help' (Closes: #784563)
  * use custom HTTP User-Agent (Closes: #784957)
  * add support for Dune 2
  * add support for Super 3D Noah's Ark (Closes: #788061)

  [ Fabian Greffrath ]
  * provide information about patches needes by various
    Doom-engine games: Chex Quest, TNT, Compet-N

  [ Patrick Bottelberger ]
  * add German version for Day Of The Tentacle,
    Maniac Mansion, Curse of Monkey Island, Grim Fandango
  * remove extraneous files in Doom 3 BFG (Closes: #787510)

  [ Simon McVittie ]
  * Generate debian/copyright from debian/copyright.{in,py}
  * Include full license text for CC-BY-SA-3.0-US
  * Correctly credit Sri Kadimisetty for lantern icon (Zork Inquisitor)
    and theSquid.ink for rocket icon (Space Quest), not the other
    way round
  * Add a SVG version of the lantern icon
  * Sort Build-Depends
  * Include full license text for CC-BY-3.0-US, and distinguish
    between that and the other CC-BY-3.0 flavours
  * Include full license text for CC-BY-3.0-Unported, and
    distinguish between that and the other CC-BY-3.0 flavours
  * debian/copyright: document provenance of Tango-derived PD icons
  * Move the "m" and "II" of the Memento Mori (II) logo SVG into layers
  * Build-depend on Inkscape and use it to generate Memento Mori icons
    with/without the "II" part
  * Do not generate a .svgz icon from memento-mori-2.svg, which uses
    relatively complex SVG features that librsvg cannot render
  * Where SVG icons exist, generate PNGs from those, not XPM icons
  * Where SVG icons exist, strip Inkscape-specific code for the
    installed .svgz version
  * chex.svg: make the icon square
  * blakestone: re-word help
  * Make out/game-data-packager executable
  * ecwolf_common: fix installation of icon
  * Install bash completion to the desired location with dh_install
    instead of using dh_bash-completion (works around #668254, #785271)
  * For games that recently gained multilingual packages, also try repacking
    files from the non-language-specific location
  * hexen2-data Conflicts and Replaces hexen2-demo-data, hopefully this will
    give dpkg a hint that it is the better version
  * freespace2-data Conflicts and Replaces the versions built by scripts
    shipped with fs2-open
  * wolf3d-v*-data Conflicts and Replaces wolf3d-full-data

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Jul 2015 10:48:23 +0100

game-data-packager (41) unstable; urgency=medium

  [ Alexandre Detiste ]
  * fix LGeneral
  * fix Descent 1 Demo download, add assert
  * recommends gargoyle-free | frotz for Z-code text games
  * add new 'doom2-masterlevels' utility,
    a GUI launcher for use with doom2-masterlevels-wad (Closes: #776279)
  * add support for demo of Curse Of Monkey Island & Full Throttle
  * add support for Transport Tycoon Deluxe (Closes: #776543)
  * add support for FreeSpace 2 (Closes: #776542)
  * add support for Arx Fatalis (Closes: #782204)
  * add support for Duke Nukem 3D (full or shareware), for use with eduke32
  * add support for Heroes of Might & Magic III (Closes: #782202)
  * add support for Broken Sword 1
  * add support for Dreamweb (freeware)
  * add support for Sfinx (freeware)
  * add support for Soltys (freeware)
  * add support for Police Quest 1
  * add abbreviated YAML syntax for license files
  * improve support for games with multiple language variants, such as Soltys
    and Broken Sword
  * rename various generated packages to remove unnecessary -full- infix
  * add support for more unpackers: cabextract, unace-nonfree, unrar-nonfree,
    unshield (including multi-part archives), arj (including multi-part
    archives)
  * recurse into arbitrary zip files if given
  * produce progress indicators less frequently to reduce terminal emulator
    load

  [ Simon McVittie ]
  * review & disable non-working Jedi Academy demo
  * adjust Jedi Academy paths for versions >= 0~20150420
  * add Provides/Conflicts/Replaces for renamed packages
  * upload to unstable

 -- Simon McVittie <smcv@debian.org>  Thu, 30 Apr 2015 10:41:15 +0100

game-data-packager (40) experimental; urgency=medium

  [ Alexandre Detiste ]
  * wolf3d: if both v1.0-v1.2 and v1.4 are available, always build v1.4
    - add "better_version" package field to implement this
  * theme-hospital: add support (Closes: #776150); the engine corsix-th
    still needs to be packaged (RFP: #610087)
  * add Descent 1 & 2; demo & full versions (Closes: #775442)
  * add support for Hexen II demo (Closes: #775484)
  * add support for "Doom 2 : No Rest for the Living" (Closes: #776280)
  * add support for the Grim Fandango demo, and ResidualVM games in general
    (Closes: #776545)
  * add support for a rare French version of Doom II
  * add support for Maniac Mansion, English and French versions,
    and ScummVM games in general (Closes: #776544)
  * add support for Day Of the Tentacle
  * add support for Chex Quest 1&2 (Closes: #775494)
  * add support for Strife (Closes: #775492)
  * add support for HacX (Closes: #775493)
  * add support for Syndicate, needs freesynd engine
  * add support for Zork I,II,III
  * add support for The HitchHiker Guide to the Galaxy text game
  * improve documentation
  * improve make_template mode
  * change default install_to to omit trailing -data if any
  * reduce duplication by auto-generating more of the data
  * add genre information
  * look for Steam under Program Files/Steam on FAT and NTFS partitions

  [ Simon McVittie ]
  * quake3: install symlinks in /usr/lib/quake3 too, so src:quake can use
    updated native-code game modules
  * quake3: experimental support for packaging the demo, with bits of
    the full game's patch thrown in to make it work on
    ioquake3 (Closes: #775485)
  * quake3: look in /usr/local/games/quake3
  * quake3: list Steam installation path in help text
  * theme-hospital: add support for the gog.com version
    - add support for unpacking InnoSetup installers with innoextract
  * quake2: support an alternative version of pak0.pk3 (Closes: #776059)
  * quake2: make videos optional (also part of #776059)
  * quake2: add optional DM maps match1, base64, city64 and sewer64,
    and CTF map q2ctf4a (also part of #776059)
  * quake2: support some alternative versions of documentation (also #776059)
  * quake2: remove reference to /etc/game-data-packager/quake2-mirrors
    which we have never actually shipped. In versions < 39 it was silently
    ignored, in versions >= 39 it prints an error message.
    /etc/game-data-packager/idstuff-mirrors is sufficient.
  * Estimate Installed-Size with the algorithm planned for dpkg 1.18,
    rather than using du which is filesystem-dependent
  * Add support for non-default compression algorithms
  * Add support for the Grim Fandango full version
    - put the full and demo versions in /u/s/g/grimfandango{,-demo}-data
      so they can coexist
  * Add more ScummVM games:
    - Full Throttle
    - The Curse of Monkey Island
  * Use the nicer scalable icon for ScummVM and ResidualVM games
  * Translate source YAML files into JSON during build, for a significant
    startup performance increase (mitigates: #779937)
  * debian/control: update list of games, and abbreviate it a bit

  [ Tobias Frost ]
  * Add game support for dhewm3
    (Doom 3 and its expansion pack Resurrection of Evil)
  * Add game support for Doom3 BFG Edition (Closes: #777338)

 -- Simon McVittie <smcv@debian.org>  Sat, 14 Mar 2015 18:04:03 +0000

game-data-packager (39) experimental; urgency=low

  Game support and other features:

  [ Alexandre Detiste ]
  * Add game Spear Of Destiny, demo & full version
  * Add game Rise of the Triad: Dark War (rott-registered-data)
    (floppy, CD and site-license versions are supported)
  * Add Wolfenstein 3D: full version (wolf3d-full-v14-data or
    wolf3d-full-v12-data), Closes: #745081
  * Add bash completion

  [ Simon McVittie ]
  * Add support for Hexen II's Portal of Praevus expansion and
    HexenWorld addon (Closes: #733751)
  * Add support for Hexen: Deathkings of the Dark Citadel,
    loosely based on patches by Johey Shmit (Closes: #737137)
  * Add support for Hexen demo (Closes: #775483)
  * Add support for Heretic shareware
  * Always search the installed directory for game files (like the
    --repack argument in version 38) unless disabled with --no-search
  * For games distributed via Steam, search various likely locations
    for Steam files (Wine, winetricks, PlayOnLinux or native Linux)
    unless disabled with --no-search
  * Add --demo option to all games with a demo/shareware version,
    which will download/create the demo even if the full game is available
  * Show help after failing to build a package, since it often has
    hints on the data files that are required
  * New command-line options for all games:
    - --search, --no-search
    - --download, --no-download
    - --save-downloads
    - --package=PACKAGE (repeatable)

  Bug fixes:

  [ Alexandre Detiste ]
  * rtcw-data should recommend rtcw (ITP #773742), not rtcw-sp
  * make_template: strip trailing '/' from directories to be searched
  * Give hexen2-data and quake3-data a Suggests on their expansions, to
    keep deborphan happy; add that policy to the documentation
  * Install documentation to $docdir now the code supports that
  * Recommend installation of an engine if necessary

  [ Simon McVittie ]
  * Search /usr/share/games/quake3 for Quake III Arena data
  * Normalize permissions on packaged files to 0644, 0755
  * Switch Doom packages' icons to .png, GNOME Shell doesn't like .xpm
  * Redo logic for files with alternatives to avoid unnecessary warnings
    (Closes: #775152)
  * Install Heretic and Hexen to /usr/share/games/doom again
  * Automatically exclude __pycache__ from tarball
  * All games are now done in Python/YAML so all $@ vs. $* issues
    should have gone away (Closes: #742849)
  * Upgrade game code for Quake II mission packs to latest version

  Internal changes:

  [ Alexandre Detiste ]
  * Convert tyrian, wolf3d to YAML style
  * Add 'make manual-check' which tests some common code paths using
    a local mirror of some freely downloadable games
  * generate control files automatically
  * Add 'unzip' compression method, for old zip files using the 'implode'
    encoding, which can be decompressed by unzip(1) but not by Python

  [ Simon McVittie ]
  * Do all .deb building and installation in Python, not shell
    - depend on python3-debian
  * Improve help text
  * Switch all remaining games to YAML style (Closes: #775081, #775082, #775083)
    - add support for ripping CD audio (Closes: #775078)
    - allow games to have a Python subclass of GameData to customize
      their behaviour, and use that to implement some games'
      historical command-line options
    - add support for flagging files in YAML as known-but-unsuitable,
      and use it for older versions of various .wad files
  * Add myself and Alexandre to debian/copyright
  * Check for id-shr-extract, lgc-pg, lha tools before use

 -- Simon McVittie <smcv@debian.org>  Thu, 22 Jan 2015 12:25:21 +0000

game-data-packager (38) experimental; urgency=low

  [ Fabian Greffrath ]
  * Add Multi-Arch: foreign fields to all Architecture: all packages.
  * Prefer chocolate-doom over other engines providing doom-engine,
    heretic engine or hexen-engine, respectively. Add Breaks against
    versions of chocolate-doom not providing hertic-engine or hexen-engine.
  * Start heretic and hexen by calling the binaries of the same names in the
    respective desktop files.

  [ Simon McVittie ]
  * Add a prototype of data-driven packaging using Python 3 and YAML
  * Convert quake3-data to YAML style
  * quake3: add Team Arena patch files to quake3-data, and add support
    for generating quake3-team-arena-data
  * Add support for gathering PK3 files for Star Wars Jedi Knight II:
    Jedi Outcast and its sequel Star Wars Jedi Knight: Jedi Academy,
    for use with the OpenJK engine. A fully patched installation using
    Windows or Wine is required: we do not know how to extract files
    from the patches.
  * Add support for gathering PK3 and related files from Return to
    Castle Wolfenstein (English or French language). An installation
    using Windows or Wine is required, but it does not have to be fully
    patched.
  * Standards-Version: 3.9.6
  * Bump debhelper compat to 9 for better Python 3 handling
  * Avoid including a timestamp in generated packages' changelog.gz
  * Apply patches from Dwayne Litzenberger for a different
    edition of the Quake CD-ROM (Closes: #718688)
  * Fix non-existent suggested package (Closes: #742383)
  * Add the ability for a game to produce and install more than one .deb
    at a time, and use it for Quake III Arena to produce quake3-data.deb
    and quake3-team-arena.deb simultaneously if it finds both (e.g. in
    an installation on Windows)

  [ Alexandre Detiste ]
  * Add support for Tyrian, closes: #739486.
  * Fix missing ${python3:Depends}
  * Convert rott-data to YAML style

 -- Simon McVittie <smcv@debian.org>  Sun, 04 Jan 2015 22:13:31 +0000

game-data-packager (37) unstable; urgency=low

  * q2rogue, q2xatrix: Correctly remove source tarballs when
    cleaning up.
  * Remove some stray placeholder targets that got into the last
    upload by accident.
  * Upload to unstable.

 -- Jonathan Dowland <jmtd@debian.org>  Mon, 18 Nov 2013 21:20:50 +0000

game-data-packager (36) experimental; urgency=low

  * Add support for Quake 2 Mission Pack: The Reckoning and
    Quake 2 Mission Pack: Ground Zero.
  * Tweak long description a bit.

 -- Jonathan Dowland <jmtd@debian.org>  Wed, 23 Oct 2013 21:43:17 +0100

game-data-packager (35) unstable; urgency=low

  * Stop conflict/providing/replacing "doom-package": the old one
    is pre-oldstable now.
  * fix test_slipstream
  * document why we suggest/recommend various packages (which targets
    they are for)
  * Mention quake mission pack support in the quake long-name
  * mention the compress/nocompress options in --help
  * start tracking our TODOs
  * fix a bug with hexen2 and paths

 -- Jonathan Dowland <jmtd@debian.org>  Sun, 13 Oct 2013 22:17:02 +0100

game-data-packager (34) experimental; urgency=low

  [ Fabian Greffrath ]
  * Reset grep options that could affect output.
  * Only parse dpkg-parsechangelog in g-d-p's own source directory.
  * Make the generated package file name better double-click-selectable [tm].
  * Force lower case for *.wad files in doom-common.
  * In quake, link pak[01].pak to absolute paths.

  [ Stephen Kitt ]
  * quake: Fix ifind usage in guess_method in cases where the file is absent

  [ Simon McVittie ]
  * Canonicalize Vcs-Git, Vcs-Browser
  * Add a check that we don't try to build a source package containing *.deb
  * slipstream_dir: cope with files whose names contain spaces
  * Add support for not compressing the .deb, and by default don't compress
    it if we're just going to install and delete it (this is much faster)
  * Add support for auto-downloading the Quake 1 1.06 shareware zip file,
    either for quake-shareware or as a way to upgrade quake-registered
    to version 1.06 (pak0.pak is identical in either case)
  * Add support for packaging Quake 1 music from the CD audio tracks,
    based on patches by Stephen Kitt
  * Add support for Quake II (demo and full version) data
  * Add support for packaging Quake II music from the CD audio tracks
  * Add support for auto-downloading the Quake III Arena patch
  * Ensure that LIBDIR, DATADIR are absolute
  * Upload to experimental

 -- Simon McVittie <smcv@debian.org>  Sun, 29 Sep 2013 14:51:01 +0100

game-data-packager (33) unstable; urgency=low

  [ Jonathan Dowland ]
  * Remove deprecated dm-upload-allowed field from control file.
  * add doc/why.mdwn: why add your game/thing to game-data-packager?
  * new support for lgeneral. Closes: #693930.

  [ Fabian Greffrath ]
  * Correctly substitute the LONG name in debian/control
    for the Doom games family.

 -- Jonathan Dowland <jmtd@debian.org>  Wed, 22 May 2013 17:03:19 +0100

game-data-packager (32) experimental; urgency=low

  * hexen2: don't install strings.txt, progs.dat or progs2.dat;
    they're carried by the uhexen2 package. Thanks Gustavo Panizzo.

 -- Jon Dowland <jmtd@debian.org>  Wed, 26 Sep 2012 22:04:45 +0100

game-data-packager (31) experimental; urgency=low

  * Initial Hexen 2 support.
  * An initial regression test suite in the source.
  * Fixup 'slipstream' and adjust callers in Doom, Quake and
    Quake 3.
  * Some Quake tweaks to make e.g. building a 1.01 package from
    a directory or a 1.06 shareware package possible.
  * Re-Add myself to uploaders.
  * Bump standards version.

 -- Jon Dowland <jmtd@debian.org>  Tue, 11 Sep 2012 22:00:44 +0100

game-data-packager (30) unstable; urgency=low

  * Add support for ID Anthology's Final Doom (different
    sums).  Thanks to Simon Howard.
  * Remove myself from uploaders.
  * Fixed 'clean' target in Makefile
  * Thanks to Joey Schmit:
    * Rewrote debian/rules to use new style debhelper
    * Bump standards version.
    * Update debhelper Build-Depends
    * Changed GAME for Heretic to 'doom' (Closes: #640372)
    * Add Hexen support
  * Support using 'lhasa' as an lha implementation.

 -- Jon Dowland <jmtd@debian.org>  Tue, 19 Jun 2012 08:59:11 +0100

game-data-packager (29) unstable; urgency=low

  [ Simon McVittie ]
  * Allow Quake mission packs to have any of several known md5sums
    - add new function verify_md5sum_alternatives, and a regression test
  * Allow Quake 1.01 CDs' LHA archives to contain upper-case filenames
    (jlha seems to produce upper-case from my CD)
  * Add a dummy shell script to each of quake-armagon and quake-dissolution,
    which the corresponding .desktop files can use as their TryExec field
    to hide uninstalled mission packs

  [ Jon Dowland ]
  * remove any ./*deb files in clean.  They might be left behind if one
    was created in a branch, and someone switches branches before running
    clean.

 -- Jon Dowland <jmtd@debian.org>  Thu, 14 Jul 2011 14:37:26 +0100

game-data-packager (28) unstable; urgency=low

  * correct spelling of "Stephen" in the changelog. Sorry, Stephen!

 -- Jon Dowland <jmtd@debian.org>  Sat, 30 Apr 2011 20:04:10 +0100

game-data-packager (27) unstable; urgency=low

  [ Stephen Kitt ]
  * Add support for Quake mission packs (Scourge of Armagon and
    Dissolution of Eternity).

  [ Jon Dowland ]
  * Add wolf3d support, Limited to shareware data. Closes: #610388.

 -- Jon Dowland <jmtd@debian.org>  Sat, 30 Apr 2011 19:39:08 +0100

game-data-packager (26) unstable; urgency=low

  * Add Heretic support.
  * Add Quake support.

 -- Jon Dowland <jmtd@debian.org>  Thu, 07 Apr 2011 22:32:22 +0100

game-data-packager (25) unstable; urgency=low

  [ Jon Dowland ]
  * Improve documentation

  [ Simon McVittie ]
  * Upload to unstable/contrib, so we can put quake3 there too

 -- Simon McVittie <smcv@debian.org>  Wed, 16 Mar 2011 15:50:36 +0000

game-data-packager (24) experimental; urgency=low

  * add Homepage: to control file
  * Add Rise of the Triad support

 -- Jon Dowland <jmtd@debian.org>  Mon, 17 Jan 2011 00:04:01 +0000

game-data-packager (23) experimental; urgency=low

  [ Jon Dowland ]
  * Update VCS control fields to reflect moving the packaging to git.
  * bump standards version.

  [ Paul Wise ]
  * Drop empty menu file (Closes: #573458)

  [ Simon McVittie ]
  * Merge support for collecting Quake III Arena pk3 files into
    quake3-data_*_all.deb, based on Jon's earlier code
  * Add myself to Uploaders

 -- Simon McVittie <smcv@debian.org>  Fri, 22 Oct 2010 20:57:40 +0100

game-data-packager (22) unstable; urgency=low

  * don't mask non-zero exit status of dpkg-deb.
    Thanks Frédéric Brière. Closes: #532817.
  * shift '--' off the argument stack when encountered.
    Thanks Frédéric Brière. Closes: #532812.
  * Update my e-mail address in control.
  * dh_prep -> dh_clean (debhelper 7 changes)
  * bump standards version.
  * removing doom2.wad alternatives transition:
    + don't bother registering alternatives anymore, install
      IWADs direct to /usr/share/games/doom
    + remove older alternatives in preinst upgrade
    + doom packages built with g-d-p now conflict with
      freedoom/freedm < 0.6.4-4 (the version where freedoom
      transitioned away from alternatives)

 -- Jon Dowland <jmtd@debian.org>  Sat, 11 Jul 2009 13:06:18 +0100

game-data-packager (21) unstable; urgency=low

  * Upload to unstable.

 -- Jon Dowland <jon@alcopop.org>  Sun, 15 Mar 2009 19:25:38 +0000

game-data-packager (20) experimental; urgency=low

  * Remove debconf remnant. Closes: #500951. Thanks Frédéric Brière.
  * Remove useless menu. Closes: #500948. Thanks Frédéric Brière.
  * Update debhelper Build-Depends:. Closes: #500947. Thanks Frédéric Brière.

 -- Jon Dowland <jon@alcopop.org>  Sun, 18 Jan 2009 17:30:20 +0000

game-data-packager (19) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * fix bashism, thanks Andres Mejia (Closes: #501173)

 -- Jon Dowland <jon@alcopop.org>  Sun, 11 Jan 2009 17:17:42 +0100

game-data-packager (18) unstable; urgency=low

  * Provides: doom-package.

 -- Jon Dowland <jon@alcopop.org>  Wed, 06 Aug 2008 19:30:33 +0100

game-data-packager (17) unstable; urgency=low

  [ Jon Dowland ]
  * add a generic game-package binary
  * rename (again) to game-package

  [ Eddy Petrișor ]
  * add missing Vcs-Svn headers

  [ Jon Dowland ]
  * add support for (ultimate) doom
  * remove make-wad-package and references to it
  * remove (unfinished; not working) quake3 support
  * Stop maintaining an "internal" .deb version for
    the slipstream files, and instead install the
    game-package changelog into the .debs that that
    are built.
  * adjust priorities of official IWADs to conform to
    the doom packaging guidelines
  * clean up the tempdir used by the slipstream functions
  * rename (again again) to game-data-packager
  * fix debug() method so it does nothing if DEBUG is undefined
  * generalize entirely the *-wad directories to doom-common

 -- Jon Dowland <jon@alcopop.org>  Fri, 18 Jul 2008 01:35:52 +0100

games-package (16) unstable; urgency=low

  * side-work to develop something for quake3
  * renamed to games-package
  * quake3-data support

 -- Jon Dowland <jon@alcopop.org>  Sun, 18 Mar 2007 17:33:01 +0000

doom-package (15) unstable; urgency=low

  * Initial upload. Closes: #280045,  #326813.
  * update comments in make-wad-package (thanks Ben Hutchings)
  * remove dummy md5sum and doom2.wad file from package
    (thanks Ben Hutchings)
  * auto-generate md5sums in the doom2-wad .deb on build
  * remove binutils dependency
  * use Build-Depends, not -Indep (thanks Ben Hutchings)
  * make-wad-package is a bash script (not sh, yet)
  * clarify copyright (GPL-2)
  * use fakeroot again (or doom2-wad will unpack with the wrong uid)
  * manually adjust perms in doom2-wad (unpacked source might be mangled)

 -- Jon Dowland <jon@alcopop.org>  Sun,  1 Oct 2006 21:07:31 +0100

doom-package (14) unstable; urgency=low

  * restructure internal package to use dpkg-deb
    rather than dpkg-buildpackage (similar to the
    internal work on make-wad-package)
  * ensure doom2-wad .deb is in section non-free
  * clarify copyright in doom2-wad

 -- Jon Dowland <jon@alcopop.org>  Sun,  1 Oct 2006 17:20:35 +0100

doom-package (13) unstable; urgency=low

  * big restructuring: use dpkg-deb a lot
  * calculate correct Installed-Size

 -- Jon Dowland <jon@alcopop.org>  Sat, 30 Sep 2006 19:06:28 +0100

doom-package (12) unstable; urgency=low

  * do not invoke dpkg, save deb in CWD instead
  * thus, do not check for or require root
  * quote a few more variables
  * change maintainer
  * update version of internal package
  * make BINDIR /usr/games

 -- Jon Dowland <jon@alcopop.org>  Sat, 30 Sep 2006 18:30:48 +0100

doom-package (11) unstable; urgency=low

  * fix "doom-data" in doom2-wad postinst

 -- Jon Dowland <jon@alcopop.org>  Thu, 29 Jun 2006 09:06:38 +0100

doom-package (10) unstable; urgency=low

  * do not use a zero-file to pad .deb for file-size reasons
  * update doom2-wad version in Makefile
  * a few further maintainer changes
  * fix references to "doom-data" in make-wad-package
  * put manpage in section 6 (in-line with other doom packages)
  * menu-entry: Games/Arcade (in-line with other doom packages)
  * parameterize (slightly) doom2-wad package version

 -- Jon Dowland <jon@alcopop.org>  Tue, 16 May 2006 22:15:37 +0100

doom-package (9) unstable; urgency=low

  * package renamed from doom-data to doom-package
  * updated maintainer field
  * moved to contrib

 -- Jon Dowland <jon@alcopop.org>  Tue,  3 Jan 2006 21:19:13 +0000

doom-data (8) unstable; urgency=low

  * reformat ./debian/copyright for line length. (thanks Stephen Quinney)
  * DH_COMPAT -> ./debian/compat; synchronize level (4) with Depends:
    (thanks Stephen Quinney)

 -- Jon Dowland <jon@dowland.name>  Wed, 14 Dec 2005 16:18:32 +0000

doom-data (7) unstable; urgency=low

  * we now provide the source to the doom2-wad deb and build it during the
    package's build stage
  * add a menu-entry
  * debhelper 4 compatible (in _both_ rules files!)
    (thanks Moritz Muehlenhoff)
  * reflects policy 3.6.2 (thanks Moritz Muehlenhoff)
  * non package-specific changes to changelog rather than debian/changelog

 -- Jon Dowland <jon@dowland.name>  Sat,  5 Nov 2005 16:48:16 +0000

doom-data (6) unstable; urgency=low

  * remove fakeroot dependency (not needed for now)
  * manpage,control file: remove reference to floppy disks (we don't handle
    them yet)
  * control file: acknowledge that we generate a .deb for the IWAD
  * make-wad-package: update usage instructions to reflect new name

 -- Jon Dowland <jon@dowland.name>  Sun, 16 Oct 2005 22:00:22 +0100

doom-data (5) unstable; urgency=low

  * quote arguments, for filenames with spaces
  * fix echo command to honour escape characters
  * renamed `doom-data' binary to `make-wad-package'
  * added a manpage for make-wad-package

 -- Jon Dowland <jon@dowland.name>  Wed, 12 Oct 2005 20:42:36 +0100

doom-data (4) unstable; urgency=low

  * move away from using debconf and postinst stages for installing
    the IWAD data

 -- Jon Dowland <jon@dowland.name>  Thu,  6 Oct 2005 20:06:23 +0100

doom-data (3) unstable; urgency=low

  * Minor spelling correction in postinst

 -- Jon Dowland <jon@dowland.name>  Tue,  4 Oct 2005 17:37:00 +0100

doom-data (2) unstable; urgency=low

  * Provides: doom-wad, so that it can be used to install a doom engine

 -- Jon Dowland <jon@dowland.name>  Tue,  4 Oct 2005 17:20:53 +0100

doom-data (1) unstable; urgency=low

  * Initial package, heavily influenced by quake2-data

 -- Jon Dowland <jon@dowland.name>  Thu, 29 Sep 2005 19:19:21 +0100
